<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		3.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org - at - yandex.ru
 * @website		http://layout.in.ua
 *
 */
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../' ));
define('_JEXEC', 1);
define('JPATH_BASE', dirname(__FILE__));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
$db = JFactory::getDBO();
//jimport( 'joomla.environment.request' );
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if (isset($_POST['language']) AND $_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// Get component params
$params =& JComponentHelper::getParams('com_jr_tfb');
$verification_code = $params->get(test_access);
header("Content-type: text/html; charset=utf-8");
// Get post
$question_id = $_POST['question_id'];
$verification = $_POST['verification'];
$http_referer = $_POST['http_referer'];
if ($verification == $verification_code) {
// Get question
$db->setQuery( 'SELECT * FROM `#__jr_tfb_question` WHERE id = '.$question_id );
$question_data = $db->loadObject();
// Get question
echo '
<div id="answer">';
?>
<div class="jr_row jr_width_97 jr_block_new_form">
<input type="hidden" name="edit_question" value="<?php echo $question_id; ?>" />
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_NAME_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_NAME' ); ?>
</div>
<div class="jr_field jr_width_70">
<textarea name="edit_question_name" class="jr_width_97" rows="5"><?php echo $question_data->question_title; ?></textarea>
</div>
</div>
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_TYPE_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_TYPE' ); ?>
</div>
<div class="jr_field jr_width_70">
<select name="edit_question_type" class="jr_width_97">
<option value="0"<?php if ($question_data->question_answer == 0) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_SELECT' ); ?></option>
<option value="1"<?php if ($question_data->question_answer == 1) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_RADIO' ); ?></option>
<option value="2"<?php if ($question_data->question_answer == 2) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_CHECKBOX' ); ?></option>
</select>
</div>
</div>


<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_ANSWER_COLUMS_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_ANSWER_COLUMS' ); ?>
</div>
<div class="jr_field jr_width_70">
<input type="text" name="edit_question_answer_colums" class="jr_width_10" value="<?php echo $question_data->question_answer_colums; ?>"/>
</div>
</div>



<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_REQUIRED_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_REQUIRED' ); ?>
</div>
<div class="jr_field jr_width_70">
<select name="edit_question_required" class="jr_width_97">
<option value="0"<?php if ($question_data->question_required == 0) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JNO' ); ?></option>
<option value="1"<?php if ($question_data->question_required == 1) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JYES' ); ?></option>
</select>
</div>
</div>
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_SORT_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_SORT' ); ?>
</div>
<div class="jr_field jr_width_70">
<select name="edit_question_sort" class="jr_width_97">
<option value="0"<?php if ($question_data->question_select == 0) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_ORDER' ); ?></option>
<option value="1"<?php if ($question_data->question_select == 1) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_RANDOM' ); ?></option>
</select>
</div>
</div>
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_CORRECT_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_CORRECT' ); ?>
</div>
<div class="jr_field jr_width_70">
<select name="edit_question_correct" class="jr_width_97">
<option value="0"<?php if ($question_data->question_correct == 0) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_ALL_TRUE' ); ?></option>
<option value="1"<?php if ($question_data->question_correct == 1) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_ALL_TRUE_ONLY' ); ?></option>
<option value="2"<?php if ($question_data->question_correct == 2) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_ANY_TRUE' ); ?></option>
<option value="3"<?php if ($question_data->question_correct == 3) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_ANY_TRUE_ONLY' ); ?></option>
<option value="4"<?php if ($question_data->question_correct == 4) echo ' selected = "selected"'; ?>><?php echo JText::_( 'JR_TFB_BY_ANSWER_POINTS' ); ?></option>
</select>
</div>
</div>
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_TEST_QUESTION_ADVICE_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_TEST_QUESTION_ADVICE' ); ?>
</div>
<div class="jr_field jr_width_70">
<textarea name="edit_question_advice" class="jr_width_97" rows="5"><?php echo $question_data->question_advice; ?></textarea>
</div>
</div>
<div class="jr_row jr_width_100">
<div class="jr_label_field jr_width_30 hasTooltip" title="<?php echo JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_DESC' ); ?>">
<?php echo JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_LABEL' ); ?>
</div>
<div class="jr_field jr_width_70">
<?php if ($question_data->question_image == '') echo '<div id="question_image" class="jr_row jr_width_100">
<div id="question_image_upload" class="btn btn-small btn-success">'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_SELECT' ).'</div>
</div>
<div class="jr_row jr_width_100">
<div id="question_image_upload_form"></div>
</div>';
else {
if ($question_data->question_image_type == 0) $question_image_type = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_TYPE_IMAGE' );
else $question_image_type = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_TYPE_THUMB' );
$question_image_data = '
'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_TYPE' ).' '.$question_image_type.'
';
$question_image_data .= '<br/>
'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_SIZE' ).' '.$question_data->question_image_width.' x '.$question_data->question_image_height.'
';
if ($question_data->question_image_type == 1) $question_image_data .= '<br/>
'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_THUMB_SIZE' ).' '.$question_data->question_thumb_width.' x '.$question_data->question_thumb_height.'
';
if ($question_data->question_image_position  == 0) $question_image_position = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_POSITION_LEFT' );
else if ($question_data->question_image_position  == 1) 
$question_image_position = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_POSITION_RIGHT' );
else if ($question_data->question_image_position  == 2) 
$question_image_position = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_POSITION_TOP' );
else if ($question_data->question_image_position  == 3) 
$question_image_position = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_POSITION_BUTTON' );
$question_image_data .= '<br/>
'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_POSITION' ).' '.$question_image_position.'
';
if ($question_data->question_image_resize  == 0) $question_image_width = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_ORIGINAL' );
else $question_image_width = JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_RESIZE' );
$question_image_data .= '<br/>
'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_WIDTH' ).' '.$question_image_width.'
';
echo
'<div id="question_image" class="jr_row jr_width_100">
<span class="btn btn-small show_link jr_spacer_right_3 hasTooltip" title="'.$question_image_data.'">
<i class="icon-eye show_img"></i>
<a class="imageview cboxElement" href="'.$http_referer.'components/com_jr_tfb/images/question/'.$question_data->question_image.'?timestamp='.date('Y/m/d H:i:s').'">'.JText::_( 'QUESTION_IMAGE' ).'</a>
</span>
<div id="question_image_delete" class="btn btn-small btn-error">'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_DELETE' ).'</div>
<div id="question_image_upload" class="btn btn-small btn-success">'.JText::_( 'JR_TFB_QUESTION_FIELD_QUESTION_IMAGE_SELECT' ).'</div>
</div>
<div class="jr_row jr_width_100">
<div id="question_image_upload_form"></div>
</div>';
}
?>
</div>
</div>
<div class="jr_row jr_width_100">
<br/>
</div>
<div class="jr_row jr_width_100">
<div class="btn btn-small btn-success" id="question_edit">
<?php echo JText::_( 'JR_TFB_EDIT' ); ?>
</div>
<div class="btn btn-small btn-remove" id="question_edit_cancel">
<?php echo JText::_( 'JR_TFB_CLOSE' ); ?>
</div>
</div>
</div>
<?php
echo '
</div>';
}
else echo '
<div id="answer">
<div class="group_item_form_ajax">
'.JText::_( 'JR_TFB_ERROR' ).'
</div>
</div>';
?>