<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php //jimport('joomla.html.pagination'); // no need J2.5!?>
<?php JHtml::_('behavior.tooltip'); ?>
<?php
	$numCols = 0; // number of td tag... ie does not support colspan="0" :(
	$this->lists['order_Dir'] = $this->escape($this->state->get('filter.direction'));
	$this->lists['order'] = $this->escape($this->state->get('filter.ordering', 'id'));// default order is primary key
	$this->lists['search'] = $this->escape($this->state->get('filter.search'));
	$this->lists['published'] = $this->escape($this->state->get('filter.published'));
	// Add styles
$document = JFactory::getDocument();
$document->addStyleSheet( 'components/com_jr_tfb/css/styles.css' );
?>
<form action="<?php echo JRoute::_('index.php?option=com_jr_tfb'); ?>" method="post" name="adminForm" id="adminForm">
<div id="editcell">
	<table class="adminlist" cellpadding="10" width="100%">
	<thead>
	<tr>
	<th class="jcb_fieldDiv jcb_fieldLabel" width="40">
	</th>
	<th class="jcb_fieldDiv jcb_fieldLabel"><?php $numCols++; ?>
		<?php echo JHTML::_('grid.sort', JText::_( 'CATEGORY_TITLE' ), 'category_title', $this->lists['order_Dir'], $this->lists['order']); ?>
	</th>
			<?php if(isset($this->rows[0]->ordering)): ?>
			<th width="125" class="jcb_fieldDiv jcb_fieldLabel"><?php $numCols++; ?>
				<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'ordering', $this->lists['order_Dir'], $this->lists['order']); ?>
				<?php if ($this->auth('core.edit') && ($this->lists['order']=='ordering')): ?>
					<?php echo JHtml::_('grid.order',  $this->rows, 'filesave.png', 'jrtfbcategorylist.saveorder'); ?>
				<?php endif;?>				
			</th>
			<?php endif; ?>
			<?php if(isset($this->rows[0]->published)): ?>
			<th class="jcb_fieldDiv jcb_fieldLabel"><?php $numCols++; ?>
				<?php echo JHTML::_('grid.sort', 'JSTATUS', 'published', $this->lists['order_Dir'], $this->lists['order']); ?>
			</th>
			<?php endif; ?>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="<?php echo $numCols; ?>">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<?php
	$k = 1;
	for ($i=0, $n=count( $this->rows ); $i < $n; $i++)	{
		$row = &$this->rows[$i];
		$checked = JHTML::_('grid.id', $i, $row->id);
		if(isset($this->rows[$i]->published)){
			$published	= JHTML::_('grid.published', $row, $i, 'tick.png', 'publish_x.png', 'jrtfbcategorylist.');
		}
		if(isset($this->rows[$i]->state)){
			//JHtml::_('jgrid.published', $item->state, $i, 'banners.', $canChange, 'cb', $item->publish_up, $item->publish_down);
			$rstate	= JHtml::_('jgrid.published', $row->state, $i, 'jrtfbcategorylist.', $this->auth('core.edit.state'), 'cb');
		}
		$link = JRoute::_( 'index.php?option=com_jr_tfb&task=jrtfbcategory.edit&id='. $row->id);
		$k = 1 - $k;
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $checked; ?>
			</td>
	<td class="jcb_fieldDiv jcb_fieldValue">
					<?php if (isset($row->checked_out) && ($row->checked_out)) : ?>
					<?php echo JHtml::_('jgrid.checkedout', $i, 'someone...', $row->checked_out_time, 'jrtfbcategorylist.', $this->auth('jrtfbcategory.checkin')); ?>
				<?php endif; ?>				
				<a href="<?php echo $link; ?>"><?php echo $row->category_title; ?></a>
	</td>
			<?php if(isset($this->rows[$i]->ordering)): ?>
			<td class="order">
            	<?php 
					$page = new JPagination( $n, 1, $n );
					$up = JString::strtolower($this->lists['order_Dir'])=='asc'?'orderup':'orderdown';
					$down=JString::strtolower($this->lists['order_Dir'])=='asc'?'orderdown':'orderup';
					$enable = $this->auth('core.edit') && ($this->lists['order']=='ordering');
				?>
					<span><?php echo $page->orderUpIcon( $i, $i>0, 'jrtfbcategorylist.'.$up, JText::_( 'MOVE_UP' ), $enable ); ?></span>
					<span><?php echo $page->orderDownIcon( $i, $n, $i<$n, 'jrtfbcategorylist.'.$down, JText::_( 'MOVE_DOWN' ), $enable ); ?></span>					
					<input style="width:50px" type="text" name="order[]" size="2" value="<?php echo $row->ordering; ?>" class="text-area-order" <?php echo ($enable?'':'disabled="true"'); ?> />
			</td>
			<?php endif; ?>
			<?php if(isset($this->rows[$i]->published)): ?>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<?php endif; ?>
		</tr>
	<?php
	}
	?>
	</table>
</div>
<input type="hidden" name="option" value="com_jr_tfb" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="view" value="jrtfbcategorylist" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>
