<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php //jimport('joomla.html.pagination'); // no need J2.5!?>
<?php JHtml::_('behavior.tooltip'); ?>
<?php
	$numCols = 0; // number of td tag... ie does not support colspan="0" :(
	$this->lists['order_Dir'] = $this->escape($this->state->get('filter.direction'));
	$this->lists['order'] = $this->escape($this->state->get('filter.ordering', 'id'));// default order is primary key
	$this->lists['searchtest'] = $this->escape($this->state->get('filter.searchtest'));
	$this->lists['published'] = $this->escape($this->state->get('filter.published'));
	// Add styles
$document = JFactory::getDocument();
$document->addStyleSheet( 'components/com_jr_tfb/css/styles.css' );
?>
<form action="<?php echo JRoute::_('index.php?option=com_jr_tfb'); ?>" method="post" name="adminForm" id="adminForm">
<div id="editcell">
<div class="filter-bar">
	<fieldset>
		<div class="filter-search fltlft">
			<label class="filter-searchtest" for="filter_searchtest"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<select name="filter_searchtest" id="filter_searchtest">
			<option value="all"<?php if ($this->lists['searchtest'] == 'all') echo ' selected="selected"'; ?>><?php echo JText::_('JR_TFB_ALL'); ?></option>
			<option value="free"<?php if ($this->lists['searchtest'] == 'free') echo ' selected="selected"'; ?>><?php echo JText::_('JR_TFB_NOT_USED'); ?></option>
<?php
// Get tests
$db = JFactory::getDBO();
$db->setQuery( 'SELECT id, test_name FROM `#__jr_tfb_test` ORDER BY id');
$test_list = $db->loadObjectList();
foreach( $test_list as $test_item){
${'test_title'.$test_item->id} = $test_item->test_name;
if ($this->lists['searchtest'] == $test_item->id) $test_selected = ' selected="selected"';
else $test_selected = '';
echo '<option value="'.$test_item->id.'"'.$test_selected.'>'.$test_item->test_name.'</option>';
}
?>
			</select>
			<button class="btn" onclick="this.form.submit();"><?php echo JText::_( 'JSEARCH_FILTER_SUBMIT' ); ?></button>
			<button type="button" onclick="document.id('filter_searchtest').value='all';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
	</fieldset>
</div>
<div class="data-bar">
	<table class="adminlist" cellpadding="10" width="100%">
	<thead>
		<tr>
			<th width="40" class="jcb_fieldDiv jcb_fieldLabel">
			</th>
	<th width="40" class="jcb_fieldDiv jcb_fieldLabel">
		<?php echo JText::_( 'FORM_TEST' ); ?>
	</th>
	<th class="jcb_fieldDiv jcb_fieldLabel"><?php $numCols++; ?>
		<?php echo JHTML::_('grid.sort', JText::_( 'FORM_NAME' ), 'form_name', $this->lists['order_Dir'], $this->lists['order']); ?>
	</th>
	<th class="jcb_fieldDiv jcb_fieldLabel" width="100"><?php $numCols++; ?>
		<?php echo JHTML::_('grid.sort', JText::_( 'FORM_TYPE' ), 'form_type', $this->lists['order_Dir'], $this->lists['order']); ?>
	</th>
			<?php if(isset($this->rows[0]->ordering)): ?>
			<th width="125" class="jcb_fieldDiv jcb_fieldLabel"><?php $numCols++; ?>
				<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'ordering', $this->lists['order_Dir'], $this->lists['order']); ?>
				<?php if ($this->auth('core.edit') && ($this->lists['order']=='ordering')): ?>
					<?php echo JHtml::_('grid.order',  $this->rows, 'filesave.png', 'jrtfbformlist.saveorder'); ?>
				<?php endif;?>				
			</th>
			<?php endif; ?>
			<?php if(isset($this->rows[0]->published)): ?>
			<th class="jcb_fieldDiv jcb_fieldLabel" width="90"><?php $numCols++; ?>
				<?php echo JHTML::_('grid.sort', 'JSTATUS', 'published', $this->lists['order_Dir'], $this->lists['order']); ?>
			</th>
			<?php endif; ?>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="<?php echo $numCols; ?>">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<?php
	$k = 1;
	for ($i=0, $n=count( $this->rows ); $i < $n; $i++)	{
		$row = &$this->rows[$i];
		$checked = JHTML::_('grid.id', $i, $row->id);
		if(isset($this->rows[$i]->published)){
			$published	= JHTML::_('grid.published', $row, $i, 'tick.png', 'publish_x.png', 'jrtfbformlist.');
		}
		if(isset($this->rows[$i]->state)){
			//JHtml::_('jgrid.published', $item->state, $i, 'banners.', $canChange, 'cb', $item->publish_up, $item->publish_down);
			$rstate	= JHtml::_('jgrid.published', $row->state, $i, 'jrtfbformlist.', $this->auth('core.edit.state'), 'cb');
		}
		$link = JRoute::_( 'index.php?option=com_jr_tfb&task=jrtfbform.edit&id='. $row->id);
		$k = 1 - $k;
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $checked; ?>
			</td>
	<td class="jcb_fieldDiv jcb_fieldValue">
	<?php
	if ($row->form_test != '') {
	$test_names = $row->form_test;
	$test_names = explode('|', $test_names);
	$test_tip = '';
	foreach ($test_names as $test_name) {
	if (isset(${'test_title'.$test_name})) {
	if ($test_tip != '') $test_tip .= '<br/>';
	$test_tip .= ${'test_title'.$test_name};
	}
	}
	echo '<image src="components/com_jr_tfb/images/icon-16-links.png" class="hasTip" title="'.$test_tip.'" />';
	}
	
	?>
	</td>
	<td class="jcb_fieldDiv jcb_fieldValue">
		<a href="<?php echo $link; ?>"><?php echo $row->form_name; ?></a>
	</td>
	<td class="jcb_fieldDiv jcb_fieldValue" align="center">
		<?php
if ($row->form_type == 0) echo JText::_( 'JR_TFB_TEXT' );
else if ($row->form_type == 1) echo JText::_( 'JR_TFB_TEXTAREA' );
else if ($row->form_type == 2) echo JText::_( 'JR_TFB_RADIO' );
else if ($row->form_type == 3) echo JText::_( 'JR_TFB_CHECKBOX' );
else if ($row->form_type == 4) echo JText::_( 'JR_TFB_LIST' );
else if ($row->form_type == 5) echo JText::_( 'JR_TFB_CALENDAR' );
		?>
	</td>
			<?php if(isset($this->rows[$i]->ordering)): ?>
			<td class="order">
            	<?php 
					$page = new JPagination( $n, 1, $n );
					$up = JString::strtolower($this->lists['order_Dir'])=='asc'?'orderup':'orderdown';
					$down=JString::strtolower($this->lists['order_Dir'])=='asc'?'orderdown':'orderup';
					$enable = $this->auth('core.edit') && ($this->lists['order']=='ordering');
				?>
					<span><?php echo $page->orderUpIcon( $i, $i>0, 'jrtfbformlist.'.$up, JText::_( 'MOVE_UP' ), $enable ); ?></span>
					<span><?php echo $page->orderDownIcon( $i, $n, $i<$n, 'jrtfbformlist.'.$down, JText::_( 'MOVE_DOWN' ), $enable ); ?></span>					
					<input style="width:50px" type="text" name="order[]" size="2" value="<?php echo $row->ordering; ?>" class="text-area-order" <?php echo ($enable?'':'disabled="true"'); ?> />
			</td>
			<?php endif; ?>
			<?php if(isset($this->rows[$i]->published)): ?>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<?php endif; ?>
		</tr>
	<?php
	}
	?>
	</table>
			</div>
</div>
<input type="hidden" name="option" value="com_jr_tfb" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="view" value="jrtfbformlist" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>