<?php
/**
 * Jr_tfb View for Jr_tfb Component
 * 
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @license  GNU/GPL v2
 *
 * Created with Marco's Component Creator for Joomla! 1.6
 * http://www.mmleoni.net/joomla-component-builder
 *
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Jr_tfb View
 *
 * @package    Joomla.Components
 * @subpackage 	Jr_tfb
 */
class Jr_tfbViewJrtfbquestionlist extends JViewLegacy
{
	/**
	 * Jrtfbquestionlist view display method
	 * @return void
	 **/
	function display($tpl = null){
		$app = JFactory::getApplication();
		$this->user  = JFactory::getUser();

		// Get data from the model; method is getItems() in J2.5+
		$this->rows = $this->get( 'Items');
		$this->state = $this->get( 'State');
		$this->pagination = $this->get('Pagination');	

		
		// draw menu
		//'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.delete'
		JToolBarHelper::title( JText::_( 'JR_TFB_MANAGER' ), 'generic.png' );
		if($this->user->authorise('core.edit', 'com_jr_tfb')) JToolBarHelper::editList('jrtfbquestion.edit');
		if($this->user->authorise('core.create', 'com_jr_tfb')) JToolBarHelper::addNew('jrtfbquestion.add');
		if($this->user->authorise('core.delete', 'com_jr_tfb')) JToolBarHelper::deleteList('', 'jrtfbquestionlist.delete');
		
		if( (isset($this->rows[0]->published)) && ($this->user->authorise('core.edit', 'com_jr_tfb')) ){
			JToolBarHelper::divider();
			JToolBarHelper::publish('jrtfbquestionlist.publish');
			JToolBarHelper::unpublish('jrtfbquestionlist.unpublish');
		}
		
		// configuration editor for config.xml
		if($this->user->authorise('core.admin', 'com_jr_tfb')){
			JToolBarHelper::divider();
			JToolBarHelper::preferences('com_jr_tfb');
		}
		

		// SORTING get the user state of order and direction
		//  ** J1.5 now in $this->state object
		//$default_order_field = 'id';
		//$lists['order_Dir'] = $app->getUserStateFromRequest('com_jr_tfbfilter_order_Dir', 'filter_order_Dir', 'ASC');
		//$lists['order'] = $app->getUserStateFromRequest('com_jr_tfbfilter_order', 'filter_order', $default_order_field);
		//$lists['search'] = $app->getUserStateFromRequest('com_jr_tfbsearch', 'search', '');

		parent::display($tpl);
	}
	
	protected function auth($area){
		//echo '<pre>' . print_r(JAccess::getActions('com_jr_tfb','jrtfbquestion'),true).'</pre>';die();
		$aclLocal = array();
		foreach(JAccess::getActions('com_jr_tfb', 'jrtfbquestion') as $ar) $aclLocal[] = $ar->name;
		if(in_array($area, $aclLocal)){
			return $this->user->authorise($area, 'com_jr_tfb', 'jrtfbquestion');
		}else{
			$aclGlobal = array();
			foreach(JAccess::getActions('com_jr_tfb') as $ar) $aclGlobal[] = $ar->name;
			if(in_array($area, $aclGlobal)){
				if(!empty($aclLocal)) JFactory::getApplication()->enqueueMessage('Undefined authorization area: ' . $area . ' -- fall back on component acl', 'Warning');
				return $this->user->authorise($area, 'com_jr_tfb');
			}else{
				JFactory::getApplication()->enqueueMessage('Undefined authorization area: ' . $area . ' -- NO fall back found', 'Error');
				return true;
			}
		}
		
	}
	
}