<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db =& JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params =& JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
$test_id = $_POST['jr_tfb_id'];
// Get forms
$db->setQuery( 'SELECT * FROM `#__jr_tfb_form` WHERE published = 1 AND (form_test = '.$test_id.' OR form_test LIKE "%|'.$test_id.'|%" OR form_test LIKE "'.$test_id.'|%" OR form_test LIKE "%|'.$test_id.'") ORDER BY ordering');
$form_list = $db->loadObjectList();
// Check data
$error = 0;
foreach ($form_list as $form_item) {
${'error_'.$form_item->id} = '';
if ($form_item->form_required == 1) {
//if ($form_item->form_type != 3 AND $_POST['input_'.$form_item->id] != '') $error = 0;
if ($form_item->form_type != 3) {
if ($_POST['input_'.$form_item->id] == '') {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
}
else {
$options = explode('%|%', $form_item->form_options);
$i = 1;
$checkbox = 0;
foreach ($options as $option) {
if ($_POST['input_'.$form_item->id.'_'.$i] != '') $checkbox++;
$i++;
			}
if ($checkbox == 0) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
		}
	}
// Digits verification
if ($form_item->form_check == 1 AND !is_numeric($_POST['input_'.$form_item->id])) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
// E-mail verification
if ($form_item->form_check == 2 AND (filter_var(trim($_POST['input_'.$form_item->id]), FILTER_VALIDATE_EMAIL) === false)) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
if ($form_item->form_check == 3) {
$url = $_POST['input_'.$form_item->id];
ini_set('default_socket_timeout', '10');
$fp = fopen($url, "r");
$res = fread($fp, 500);
fclose($fp);
if (strlen($res) == 0) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
}

if ($form_item->form_type == 6) {
$phone = $_POST['input_'.$form_item->id];
if (strlen($phone) < 11) {
$error++;
${'error_'.$form_item->id} = '<div class="jr_form_item jr_row jr_col95 jr_form_error">'.$form_item->form_message.'</div>';
}
}

if (${'error_'.$form_item->id} != '') echo '<div id="error_'.$form_item->id.'">'.$form_item->form_message.'</div>';
else echo '<div id="error_'.$form_item->id.'"></div>';


	
}
if ($error > 0) {
echo '
<div id="command">error</div>
';
}

else {
// Save user data
$current_user_id = $_POST['jr_tfb_user'];

// Get user data
$db->setQuery( "SELECT id FROM `#__jr_tfb_user` WHERE user_user = '".$current_user_id."'");
$userId = $db->loadResult();
if (!$userId) {
// Create user data
$insert_entry = "INSERT INTO `#__jr_tfb_user` (user_user) VALUES ('$current_user_id')";
$db->setQuery($insert_entry);
$db->query();
}

foreach ($form_list as $form_item) {
if ($form_item->form_rule == 1 OR $_POST['input_change_'.$form_item->id] == 1) {
if ($form_item->form_type != 3) {
$update_entry = "UPDATE `#__jr_tfb_user` SET `user_".$form_item->id."` = '".$_POST['input_'.$form_item->id]."' WHERE user_user = ".$current_user_id;
$db->setQuery($update_entry);
$db->query();
}


else {
$options = explode('%|%', $form_item->form_options);
$i = 1;
$checkbox = '';
foreach ($options as $option) {
if ($checkbox != '') $checkbox .= '|';
if ($_POST['input_'.$form_item->id.'_'.$i] != '') $checkbox .= '1';
else $checkbox .= '0';
$i++;
			}
$update_entry = "UPDATE `#__jr_tfb_user` SET `user_".$form_item->id."` = '".$checkbox."' WHERE user_user = ".$current_user_id;
$db->setQuery($update_entry);
$db->query();
		}
	}
}





echo '
<div id="result"></div>
<div id="command">ok</div>
';
}
}
?>