<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");


if ($test_user_item->result_scale != '') $test_scale = '
<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_PRINT_SCALE_LABEL' ).'</span>
<span class="jr_print_testdata">'.$test_user_item->result_scale.'</span>
</div>';
else $test_scale = '';

if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_PASSED' );
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_FAILED' );
$filter_line = "filter_line_failed";
}
else {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
$filter_line = "filter_line";
}



$test_content .= '
<body>


<div class="jr_print_testline">
<div class="jr_print_testtitle">
'.$test_item->test_title.'
</div>
</div>';

$test_content .= '
<div class="jr_print_testline">
<table width="100%">

<tr>
<td>
<div class="jr_print_testsection">'.JText::_( 'JR_TFB_TEST_PRINT_STAT' ).'</div>

<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_DATE' ).'</span>
<span class="jr_print_testdata">'.$jr_tfb_test_date.'</span>
</div>';

if ($jr_tfb_test_time != "00:00:00") $test_content .= '
<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_TIME' ).'</span>
<span class="jr_print_testdata">'.$jr_tfb_test_time.'</span>
</div>';

$test_content .= '
<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_STATLIST_POINTS_TITLE' ).'</span>
<span class="jr_print_testdata">'.$test_user_item->result_points.'</span>
</div>

'.$test_scale.'

<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_PRINT_RESULT' ).'</span>
<span class="jr_print_testdata '.$filter_line.'">'.$test_result_passed.'</span>
</div>

</td>
<td>
<div class="jr_print_testsection">'.JText::_( 'JR_TFB_TEST_PRINT_DATA' ).'</div>

<div class="jr_print_testline">
<span class="jr_print_testlabel">'.JText::_( 'JR_TFB_TEST_PRINT_USER' ).'</span>
<span class="jr_print_testdata '.$filter_line.'">'.$test_user_item->result_user.'</span>
</div>


'.$test_user_data.'


</td>
</tr>


</table>
</div>';

if (!isset($_POST['jr_tfb_result_print'])) $test_details = 'no';
else $test_details = 'yes';

if ($_POST['jr_tfb_result_print'] == 'manager') {
if ($test_item->test_admin_details == 1) $test_resume = 1;
else $test_resume = 0;
if ($test_item->test_admin_mark > 0) $test_answers = 1;
else $test_answers = 0;
}

else if ($_POST['jr_tfb_result_print'] == 'client') {
if ($test_item->test_client_details == 1) $test_resume = 1;
else $test_resume = 0;
if ($test_item->test_client_mark > 0) $test_answers = 1;
else $test_answers = 0;
}

else {
$test_resume = 0;
$test_answers = 0;
}


if ($test_details == 'yes') {
if ($test_user_resume != "" AND $test_resume == 1) $test_content .= '
<div class="jr_print_testline">
<div class="jr_print_testsection">'.JText::_( 'JR_TFB_TEST_RESUME' ).'</div>
'.$test_user_resume.'
</div>';
if ($test_user_answers != '' AND $test_answers == 1) $test_content .= '
<div class="jr_print_testline">
<div class="jr_print_testsection">'.JText::_( 'JR_TFB_TEST_ANSWERS' ).'</div>
'.$test_user_answers.'
</div>';
}

$test_content .= '
</body>
';

// Create file
require_once (JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'lib'.DS.'pdf'.DS.'tcpdf.php'); // Подключаем библиотеку
  /* Создаём объект TCPDF.
  - Книжная ориентация
  - Единица измерения - миллиметры
  - Формат А4
  - Использование unicode
  - Кодировка - UTF-8
  */
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
  /* Установка отступов
  - 20 слева
  - 30 справа
  - 20 сверху
  */
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);
//$pdf->SetMargins(20, 30, 20);
$pdf->AddPage(); // Добавляем страницу
//$pdf->SetXY(20, 50); // Установка текущей точки (в мм)
//$pdf->SetDrawColor(100, 100, 0); // Установка цвета (RGB)
//$pdf->SetTextColor(200, 0, 0); // Установка цвета текста (RGB)


$pdf->SetFont('freesans', '', 9); // устанавливаем имя шрифта и его размер
$pdf->writeHTMLCell(0, 0, '', '', $test_content, 0, 1, 0, true, '1', true);
//$pdf->writeHTML($test_item->test_title, false, false, false, false, 'C');

$pdf->Output(JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'print'.DS.'test-result-'.$result_id.".pdf", "F"); // Выводим в браузер
?>