<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();

if (file_exists(JPATH_BASE.DS.'components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php')) include(JPATH_BASE.DS.'components/com_jr_tfb/plugins/tfb_plugin_answers/test_user_ajax.php');


else {

// Connect DB
$db = JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params = JComponentHelper::getParams('com_jr_tfb');
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
// Get data
$result_id = $_POST['jr_tfb_result'];
$current_user_id = $_POST['jr_tfb_user'];
// Get test result
$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE id = ".$result_id );
$test_user_item = $db->loadObject();
if ($test_user_item->result_result == 2) {
$jr_tfb_test_date = JHTML::_('date', $test_user_item->result_date, 'd.m.Y').JText::_( 'JR_TFB_TEST_TIME_ON' ).JHTML::_('date', $test_user_item->result_date, 'h:i');
}
else {
$jr_tfb_test_date = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
}
if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_failed";
}
else {
$filter_line = "filter_line";
}
$jr_tfb_test_time = $test_time_passed = date("H:i:s", mktime(0, 0, $test_user_item->result_timer));
// Get test
$db->setQuery( "SELECT * FROM `#__jr_tfb_test` WHERE id = ".$test_user_item->result_test );
$test_item = $db->loadObject();
// Check user
if ($test_item->test_admin == $current_user_id) $test_admin = 1;
else $test_admin = 0;
// Get user forms
$db->setQuery( "SELECT * FROM `#__jr_tfb_form`" );
$test_forms = $db->loadObjectList();
// Get user data
$db->setQuery( "SELECT * FROM `#__jr_tfb_user` WHERE user_user = ".$test_user_item->result_user );
$test_user = $db->loadObject();
$test_user_data = '';
foreach ($test_forms as $test_form) {
$user_field_id = 'user_'.$test_form->id;
if (isset($test_user->$user_field_id) AND $test_user->$user_field_id != '') {
if ($test_form->form_type == 3) {
$test_user_field = '';
$test_user_options = explode ("|", $test_user->$user_field_id);
$test_form_options = explode ("%|%", $test_form->form_options);
$test_form_option = 0;
foreach ($test_user_options as $test_user_option) {
if ($test_user_option == 1) {
$test_user_option = $test_form_options[$test_form_option];
$test_user_field .= '<div class="filter_test_data">'.$test_user_option.'</div>';
}
$test_form_option++;
}
}
else $test_user_field = $test_user->$user_field_id;
$test_user_data .= '
<div class="filter_test_line filter_user_data filter_test_show">
<div class="filter_test_inline jr_tfb_width50 filter_test_label">'.$test_form->form_title.'</div>
<div class="filter_test_inline jr_tfb_width50 filter_test_data">'.$test_user_field.'</div>
</div>';
	}
}
$test_user_resume = '';
if ($test_user_item->result_answers == "") $test_user_answers = '<span class="jr_form_error filter_test_show">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</span>';
// Get groups
$db->setQuery( "SELECT * FROM `#__jr_tfb_group` WHERE group_test = ".$test_user_item->result_test );
$test_groups = $db->loadObjectList();
$test_group = array();
$test_group_list = '';
foreach ($test_groups as $test_groups_item) {
$test_group[$test_groups_item->id] = $test_groups_item->group_title;
if ($test_group_list != '') $test_group_list .= ',';
$test_group_list .= $test_groups_item->id;
}
// Get questions and answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_question` WHERE question_group IN ($test_group_list)" );
$test_questions = $db->loadObjectList();
foreach ($test_questions as $test_questions_item) {
$test_question[$test_questions_item->id] = $test_questions_item->question_title;
$test_advice[$test_questions_item->id] = $test_questions_item->question_advice;
$test_correct[$test_questions_item->id] = $test_questions_item->question_correct;
// Get answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = ".$test_questions_item->id." ORDER BY ordering" );
$test_answers = $db->loadObjectList();
${'test_answer_text_'.$test_questions_item->id} = array();
${'test_answer_result_'.$test_questions_item->id} = array();
${'test_answer_correct_'.$test_questions_item->id} = 0;
foreach ($test_answers as $test_answer) {
${'test_answer_text_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_title;
${'test_answer_result_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_correct;
if ($test_answer->answer_correct == 1) ${'test_answer_correct_'.$test_questions_item->id}++;
}
}
// Get result questions
$test_result_questions = explode('|', $test_user_item->result_questions);
$result_test_questions = array();
$result_test_groups = array();
// Get result answers
$test_result_answers_array = explode(',', $test_user_item->result_answers);
$test_result_answers_count = 0;
// Create result list
foreach ($test_result_questions as $test_result_questions_item) {
$test_questions_item_data = explode('-', $test_result_questions_item);
$test_questions_item_group = $test_questions_item_data[0];
$test_questions_item_questions = explode(',', $test_questions_item_data[1]);
foreach ($test_questions_item_questions as $test_questions_item_question) {
$test_user_answers .= '
<div class="filter_test_line filter_user_data filter_test_show">
<div class="filter_test_inline jr_tfb_width50 filter_test_label">'.$test_question[$test_questions_item_question].'</div>
<div class="filter_test_inline jr_tfb_width50 filter_test_data">';
$test_result_answers = explode("`", $test_result_answers_array[$test_result_answers_count]);
$test_user_resume_negative = 0;
$test_user_resume_positive = 0;
foreach ($test_result_answers as $test_result_answer) {
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0 AND (($test_admin == 0 AND $test_item->test_client_mark == 2) OR ($test_admin == 1 AND $test_item->test_admin_mark == 2))) $test_result_class = " jr_form_error";
else if (($test_admin == 0 AND $test_item->test_client_mark == 2) OR ($test_admin == 1 AND $test_item->test_admin_mark == 2)) $test_result_class = " jr_form_right";
else $test_result_class = " jr_form_hidden";
$test_user_answers .= '
<div class="filter_test_data '.$test_result_class.'">'.${'test_answer_text_'.$test_questions_item_question}[$test_result_answer].'</div>';
// Create resume
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0  AND $test_result_answer > 0) $test_user_resume_negative++;
else if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 1 AND $test_result_answer > 0) $test_user_resume_positive++;
}
// Get resume
$test_user_resume_result = 0;
if ($test_correct[$test_questions_item_question] == 0 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question}) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 1 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question} AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 2 AND ($test_user_resume_positive >= 1)) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 3 AND $test_user_resume_positive >= 1 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 4 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
if ($test_user_resume_result == 0 AND $test_advice[$test_questions_item_question] != '') $test_user_resume .= '
<div class="jr_form_error filter_test_show">'.$test_advice[$test_questions_item_question].'</div>';
$test_user_answers .= '</div>
</div>';
$test_result_answers_count++;
	}
}
if ($test_user_resume == "") $test_user_resume = '<span class="jr_form_right filter_test_show">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_RESUME' ).'</span>';
echo '
<div id="jr_test_result">
<div class="jr_tfb_padding1 '.$filter_line.'">
<div class="filter_test_title jr_tfb_padding1 filter_test_name">'.$test_item->test_title.'</div>';


if (($test_item->result_timer > 0 AND ($test_item->test_result_show_time == 1 OR $test_item->test_result_show_time == 2)) OR $test_item->test_result_show_date == 1 OR $test_item->test_result_show_date == 2) {
echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line">';
if (($test_item->test_result_show_time == 1 OR $test_item->test_result_show_time == 2) AND $test_item->result_timer > 0) echo '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_TIME' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$jr_tfb_test_time.'</span>';
if ($test_item->test_result_show_date == 1 OR $test_item->test_result_show_date == 2) echo '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_DATE' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$jr_tfb_test_date.'</span>';
echo '
</div>
</div>';
}

if ($test_item->test_result_show_points == 1 OR $test_item->test_result_show_points == 2 OR $test_item->test_result_show_scale == 1 OR $test_item->test_result_show_scale == 2) {
if ($test_user_item->result_scale != '') {
$result_scale_text = JText::_( 'JR_TFB_TEST_STATLIST_SCALE_TITLE' );
$result_scale = $test_user_item->result_scale;
}
echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line">';
if ($test_item->test_result_show_points == 1 OR $test_item->test_result_show_points == 2) echo '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_STATLIST_POINTS_TITLE' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$test_user_item->result_points.'</span>';
if ($test_item->test_result_show_scale == 1 OR $test_item->test_result_show_scale == 2) echo '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.$result_scale_text.'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$result_scale.'</span>';
echo '
</div>
</div>';
}

if ($test_item->test_result_show_result == 1 OR $test_item->test_result_show_result == 2) {
if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_PASSED' );
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_FAILED' );
$filter_line = "filter_line_failed";
}
else {
$test_result_passed = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
$filter_line = "filter_line";
}
echo '
<div class="filter_test_title jr_tfb_padding1 '.$filter_line.'">
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_FIELD_RESULT_SHOW_RESULT_TEXT' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$test_result_passed.'</span>
</div>';
}

if ($test_user_data != '') echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_USER' ).'</div>
'.$test_user_data.'
</div>';


// Data for client
if ($test_admin == 0) {
if ($test_item->test_client_details == 1) echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_RESUME' ).'</div>
'.$test_user_resume.'
</div>';
if ($test_item->test_client_mark > 0) echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_ANSWERS' ).'</div>
'.$test_user_answers.'
</div>';
echo '
<div class="filter_test_line">
<span class="filter_list_hide jr_test_back">'.JText::_( 'JR_TFB_TEST_CLOSE' ).'</span>';
if ($test_item->test_print_pdf_client == 1) echo '
<span class="jr_test_print test_print_pdf" rel="'.$result_id.'">'.JText::_( 'JR_TFB_PRINT_PDF' ).'</span>';

$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE id = $result_id" );
$code_data = $db->loadObject();
$code = md5($code_data->result_test.":".$code_data->result_user.":".$code_data->result_date);
$host = JURI::root('true');
// Create link
$patterns = array();
$patterns[0] = '/ajax/';
$replacements = array();
$replacements[0] = 'plugins/tfb_plugin_certificate/certificate_upload.php?certificate='.$result_id.'&code='.$code;
$certificate_link = preg_replace($patterns, $replacements, $host);

if ($test_item->test_certificate_access < 2 AND ($test_user_item->result_passed == 1 OR $test_item->test_certificate_condition == 1)) echo '
<a class="jr_test_print" href="'.$certificate_link.'">'.JText::_( 'JR_TFB_DETAILS_TEST_CERTIFICATE_PDF' ).'</a>';

echo '
</div>
</div>
</div>';
}

// Data for manager
else {
if ($test_item->test_admin_details == 1) echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_RESUME' ).'</div>
'.$test_user_resume.'
</div>';
if ($test_item->test_admin_mark > 0) echo '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_ANSWERS' ).'</div>
'.$test_user_answers.'
</div>';
if ($test_item->test_print_pdf_admin == 1) echo '
<div class="filter_test_line"><span class="jr_test_print test_print_pdf" rel="'.$result_id.'">'.JText::_( 'JR_TFB_PRINT_PDF' ).'</span></div>';

$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE id = $result_id" );
$code_data = $db->loadObject();
$code = md5($code_data->result_test.":".$code_data->result_user.":".$code_data->result_date);
$host = JURI::root('true');
// Create link
$patterns = array();
$patterns[0] = '/ajax/';
$replacements = array();
$replacements[0] = 'plugins/tfb_plugin_certificate/certificate_upload.php?certificate='.$result_id.'&code='.$code;
$certificate_link = preg_replace($patterns, $replacements, $host);

if ($test_item->test_certificate_access < 2 AND ($test_user_item->result_passed == 1 OR $test_item->test_certificate_condition == 1)) echo '
<a class="jr_test_print" href="'.$certificate_link.'">'.JText::_( 'JR_TFB_DETAILS_TEST_CERTIFICATE_PDF' ).'</a>';
echo '
<div class="filter_test_line"><span class="filter_list_hide jr_test_next">'.JText::_( 'JR_TFB_TEST_CLOSE' ).'</span></div>
<div class="filter_test_line"><span class="filter_list_hide jr_test_back">'.JText::_( 'JR_TFB_TEST_REMOVE' ).'</span></div>
</div>
</div>';
	}
}
else echo '
<div id="jr_test_result">error</div>';

}
?>