<?php // no direct access
defined('_JEXEC') or die('Restricted access');

$test_access = 1;
$content_text = '';

// Get current date
$today_date = JFactory::getDate();
$today = $today_date->format('Y-m-d');
$today_full_date = $today_date->format('Y-m-d H:i:s');

// ------- Check access for usergroup -------
if ($data->test_group != "") {
$test_access = 0;
$group_access = explode(',', $data->test_group);
if ($user_groups) {
foreach ($user_groups as $user_group) {
if (in_array($user_group, $group_access)) $test_access = 1;
	}
}	
else if (in_array('9', $group_access)) $test_access = 1;
if ($test_access == 0) $content_text = JText::_( 'JR_TFB_ACCESS_USER_TEST' );
}
// ------- Check access for usergroup -------

// ------- Check schedule start -------
if ($test_access == 1 AND $data->test_schedule == 1) {
if ($today < $data->test_start) {
$content_text = $data->test_start_text;
$test_access = 0;
include('components/com_jr_tfb/includes/content.php');
}
if ($today > $data->test_end) {
$content_text = $data->test_end_text;
$test_access = 0;
include('components/com_jr_tfb/includes/content.php');
}
}
// ------- Check schedule end -------

// ------- Check publication start -------
if ($test_access == 1 AND $data->test_quantity > 0) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_passed = 1 AND result_test = '.$data->id );
$test_positive_count = $db->loadResult();
if ($test_positive_count >= $data->test_quantity) {
$test_access = 0;
$content_text = $data->test_l_message;
include('components/com_jr_tfb/includes/content.php');
	}
}
// ------- Check publication end -------

// ------- Check positive results of user start -------
if ($test_access == 1 AND $data->test_complete > 0) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_passed = 1 AND result_test = '.$data->id.' AND result_user = '.$current_user_id );
$test_positive_user_count = $db->loadResult();
if ($test_positive_user_count >= $data->test_complete) {
$test_access = 0;
$content_text = $data->test_quantity_text;
	}
}
// ------- Check positive results of user end -------

// ------- Check negative results of user start -------
if ($test_access == 1 AND $data->test_failed > 0) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_passed = 0 AND result_test = '.$data->id.' AND result_user = '.$current_user_id );
$test_negative_user_count = $db->loadResult();
if ($test_negative_user_count >= $data->test_failed) {
$test_access = 0;
$content_text = $data->test_max_text;
	}
}
// ------- Check negative results of user end -------

// ------- Check next date after negative results of user start -------
if ($test_access == 1 AND $data->test_delay > 0) {
$check_date = date('Y-m-d H:i:s', strtotime($today_full_date."-".$data->test_delay." day"));
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_date >= "'.$check_date.'" AND result_test = '.$data->id.' AND result_user = '.$current_user_id );
$test_negative_user_date = $db->loadResult();
if ($test_negative_user_date) {
$test_access = 0;
$content_text = nl2br($data->test_delay_text);
include('components/com_jr_tfb/includes/content.php');
	}
}
// ------- Check next date after negative results of user end -------

// ------- Check previous test completed -------
if ($test_access == 1 AND $data->test_test > 0) {
$db->setQuery( 'SELECT * FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_passed = 1 AND result_test = '.$data->test_test.' AND result_user = '.$current_user_id );
$test_condition = $db->loadObjectList();
if (!$test_condition) {
$db->setQuery( 'SELECT test_title FROM `#__jr_tfb_test` WHERE id = '.$data->test_test );
$test_title = $db->loadResult();
$test_access = 0;
$content_text = JText::_( 'JR_TFB_ACCESS_USER_TEST_CONDITION' ).$test_title;
	}
}
// ------- Check previous test completed -------

if ($test_access == 0) $test_access_error = '
<div class="jr_test_notification">
'.$content_text.'
</div>';
?>