<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
if (file_exists(JPATH_BASE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/result_data_includes.php')) include(JPATH_BASE.'/components/com_jr_tfb/plugins/tfb_plugin_answers/result_data_includes.php');

else {
// Get data
$result_id = $test_current_result;
// Get test result
$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE id = ".$result_id );
$test_user_item = $db->loadObject();
if ($test_user_item->result_result == 2) {
$jr_tfb_test_date = JHTML::_('date', $test_user_item->result_date, 'd.m.Y').JText::_( 'JR_TFB_TEST_TIME_ON' ).JHTML::_('date', $test_user_item->result_date, 'h:i');
}
else {
$jr_tfb_test_date = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
}
if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_failed";
}
else {
$filter_line = "filter_line";
}
$jr_tfb_test_time = $test_time_passed = date("H:i:s", mktime(0, 0, $test_user_item->result_timer));
// Get test
$db->setQuery( "SELECT * FROM `#__jr_tfb_test` WHERE id = ".$test_user_item->result_test );
$test_item = $db->loadObject();
// Get user forms
$db->setQuery( "SELECT * FROM `#__jr_tfb_form`" );
$test_forms = $db->loadObjectList();
// Get user data
$db->setQuery( "SELECT * FROM `#__jr_tfb_user` WHERE user_user = ".$test_user_item->result_user );
$test_user = $db->loadObject();
$test_user_data = '';
foreach ($test_forms as $test_form) {
$user_field_id = 'user_'.$test_form->id;
if (isset($test_user->$user_field_id) AND $test_user->$user_field_id != '') {
if ($test_form->form_type == 3) {
$test_user_field = '';
$test_user_options = explode ("|", $test_user->$user_field_id);
$test_form_options = explode ("%|%", $test_form->form_options);
$test_form_option = 0;
foreach ($test_user_options as $test_user_option) {
if ($test_user_option == 1) {
$test_user_option = $test_form_options[$test_form_option];
$test_user_field .= '<div class="filter_test_data">'.$test_user_option.'</div>';
}
$test_form_option++;
}
}
else $test_user_field = $test_user->$user_field_id;
$test_user_data .= '
<div class="filter_test_line filter_user_data filter_test_show">
<div class="filter_test_inline jr_tfb_width50 filter_test_label">'.$test_form->form_title.'</div>
<div class="filter_test_inline jr_tfb_width50 filter_test_data">'.$test_user_field.'</div>
</div>';
	}
}
$test_user_resume = '';
if ($test_user_item->result_answers == "") $test_user_answers = '<span class="jr_form_error filter_test_show">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</span>';
// Get groups
$db->setQuery( "SELECT * FROM `#__jr_tfb_group` WHERE group_test = ".$test_user_item->result_test );
$test_groups = $db->loadObjectList();
$test_group = array();
$test_group_list = '';
foreach ($test_groups as $test_groups_item) {
$test_group[$test_groups_item->id] = $test_groups_item->group_title;
if ($test_group_list != '') $test_group_list .= ',';
$test_group_list .= $test_groups_item->id;
}
// Get questions and answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_question` WHERE question_group IN ($test_group_list)" );
$test_questions = $db->loadObjectList();
foreach ($test_questions as $test_questions_item) {
$test_question[$test_questions_item->id] = $test_questions_item->question_title;
$test_advice[$test_questions_item->id] = $test_questions_item->question_advice;
$test_correct[$test_questions_item->id] = $test_questions_item->question_correct;
// Get answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = ".$test_questions_item->id." ORDER BY ordering" );
$test_answers = $db->loadObjectList();
${'test_answer_text_'.$test_questions_item->id} = array();
${'test_answer_result_'.$test_questions_item->id} = array();
${'test_answer_correct_'.$test_questions_item->id} = 0;
foreach ($test_answers as $test_answer) {
${'test_answer_text_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_title;
${'test_answer_result_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_correct;
if ($test_answer->answer_correct == 1) ${'test_answer_correct_'.$test_questions_item->id}++;
}
}
// Get result questions
$test_result_questions = explode('|', $test_user_item->result_questions);
$result_test_questions = array();
$result_test_groups = array();
// Get result answers
$test_result_answers_array = explode(',', $test_user_item->result_answers);
$test_result_answers_count = 0;
// Create result list
foreach ($test_result_questions as $test_result_questions_item) {
$test_questions_item_data = explode('-', $test_result_questions_item);
$test_questions_item_group = $test_questions_item_data[0];
$test_questions_item_questions = explode(',', $test_questions_item_data[1]);
foreach ($test_questions_item_questions as $test_questions_item_question) {
$test_user_answers .= '
<div class="filter_test_line filter_user_data filter_test_show">
<div class="filter_test_inline jr_tfb_width50 filter_test_label">'.$test_question[$test_questions_item_question].'</div>
<div class="filter_test_inline jr_tfb_width50 filter_test_data">';
$test_result_answers = explode("`", $test_result_answers_array[$test_result_answers_count]);
if (isset($test_result_answers_array[$test_result_answers_count]) AND $test_result_answers_array[$test_result_answers_count] != '' AND $test_result_answers_array[$test_result_answers_count] !== 0) {
$test_user_resume_negative = 0;
$test_user_resume_positive = 0;
$test_result_answers_check_options = 0;
foreach ($test_result_answers as $test_result_answer) {
if ($test_result_answer != 0) $test_result_answers_check_options++;
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0 AND $test_item->test_client_mark == 2) $test_result_class = " jr_form_error";
else if ($test_item->test_client_mark == 2) $test_result_class = " jr_form_right";
else $test_result_class = " jr_form_hidden";
if ($test_result_answer != 0) $test_user_answers .= '
<div class="filter_test_data '.$test_result_class.'">'.${'test_answer_text_'.$test_questions_item_question}[$test_result_answer].'</div>';
// Create resume
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0  AND $test_result_answer > 0) $test_user_resume_negative++;
else if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 1 AND $test_result_answer > 0) $test_user_resume_positive++;
}
if ($test_result_answers_check_options == 0) $test_user_answers .= '
<div class="filter_test_data jr_form_error">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</div>';
// Get resume
$test_user_resume_result = 0;
if ($test_correct[$test_questions_item_question] == 0 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question}) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 1 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question} AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 2 AND ($test_user_resume_positive >= 1)) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 3 AND $test_user_resume_positive >= 1 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 4 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
if ($test_user_resume_result == 0 AND $test_advice[$test_questions_item_question] != '') $test_user_resume .= '
<div class="jr_form_error filter_test_show">'.$test_advice[$test_questions_item_question].'</div>';
}
else $test_user_answers .= '
<div class="filter_test_data jr_form_error">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</div>';
$test_user_answers .= '</div>
</div>';
$test_result_answers_count++;
	}
}
//if ($test_user_resume == "") $test_user_resume = '<span class="jr_form_right filter_test_show">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_RESUME' ).'</span>';
if ($test_user_item->result_scale != '') {
$result_scale_text = JText::_( 'JR_TFB_TEST_STATLIST_SCALE_TITLE' );
$result_scale = $test_user_item->result_scale;
}
$test_result_data = '
<div id="jr_test_result" class="jr_row jr_col100 jr_test_box">
<div class="jr_row jr_col100 jr_test_box jr_tfb_padding1 '.$filter_line.'">';
if (($test_item->result_timer > 0 AND ($test_item->test_result_show_time == 1 OR $test_item->test_result_show_time == 2)) OR $test_item->test_resul_show_date == 1 OR $test_item->test_resul_show_date == 2) {
$test_result_data .= '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line">';
if (($test_item->test_result_show_time == 1 OR $test_item->test_result_show_time == 2) AND $test_item->result_timer > 0) $test_result_data .= '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_TIME' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$jr_tfb_test_time.'</span>';
if ($test_item->test_result_show_date == 1 OR $test_item->test_result_show_date == 2) $test_result_data .= '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_DATE' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$jr_tfb_test_date.'</span>';
$test_result_data .= '
</div>
</div>';
}
if ($test_item->test_result_show_points == 1 OR $test_item->test_result_show_points == 2 OR $test_item->test_result_show_scale == 1 OR $test_item->test_result_show_scale == 2) {
$test_result_data .= '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line">';
if ($test_item->test_result_show_points == 1 OR $test_item->test_result_show_points == 2) $test_result_data .= '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.JText::_( 'JR_TFB_TEST_STATLIST_POINTS_TITLE' ).'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$test_user_item->result_points.'</span>';
if ($test_item->test_result_show_scale == 1 OR $test_item->test_result_show_scale == 2) $test_result_data .= '
<span class="filter_test_inline jr_tfb_width25 filter_test_label">'.$result_scale_text.'</span>
<span class="filter_test_inline jr_tfb_width25 filter_test_data">'.$result_scale.'</span>';
$test_result_data .= '
</div>
</div>';
}
if ($test_user_data != '') $test_user_data_show = '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_USER' ).'</div>
'.$test_user_data.'
</div>';

if ($test_user_resume != '' AND $test_item->test_client_details == 1) $test_result_data .= '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_RESUME' ).'</div>
'.$test_user_resume.'
</div>';

if ($test_item->test_client_mark > 0) $test_result_data .=  '
<div class="filter_test_title jr_tfb_padding1">
<div class="filter_test_line filter_test_name filter_test_toggle">'.JText::_( 'JR_TFB_TEST_ANSWERS' ).'</div>
'.$test_user_answers.'
</div>
</div>
</div>';
}
?>