<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */

 /*
{time}   
{timer}   
{point}   
{points}   
{scale} - 
{max}      
{vacancy}    
{delay}     
{last}    
{next}     
{number}        
{restriction}        
{passed}   
{available}    
{start}   
{end}   
{date}    
{answers}      
{recommendation}     
*/

//Get result data
$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_test = $test_id AND result_user = $current_user_id ORDER BY `id` DESC LIMIT 0,1" );
$content_result_data = $db->loadObject();

//Get result count
$db->setQuery( "SELECT COUNT(*) FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_test = $test_id AND result_user = $current_user_id" );
$content_result_count = $db->loadResult();

//Get all user results
$db->setQuery( "SELECT result_passed FROM `#__jr_tfb_result` WHERE result_result = 2 AND result_test = $test_id AND result_user = $current_user_id" );
$content_results = $db->loadObjectList();
$content_result_passed = 0;
$content_result_negative = 0;
foreach ($content_results as $content_result) {
if ($content_result->result_passed == 0) $content_result_negative++;
else $content_result_passed++;
}

// Get available test count
if ($content_result_passed > 0 AND $test_data->test_complete > 1) $content_result_available = $test_data->test_complete - $content_result_passed;
else if ($content_result_passed > 0 AND $test_data->test_complete == 0) $content_result_available = JText::_( 'JR_TFB_NOT_LIMITED' );
else if ($content_result_negative > 0 AND $test_data->test_failed > 1) $content_result_available = $test_data->test_failed - $content_result_negative;
else if ($content_result_negative > 0 AND $test_data->test_failed == 0) $content_result_available = JText::_( 'JR_TFB_NOT_LIMITED' );

// Get next test time allowed
$test_time_left = date('d.m.Y H:i:s', strtotime($content_result_data->result_date."+".$test_data->test_delay." day"));;

// Create content
$patterns = array();
$patterns[0] = '/{time}/';
$patterns[1] = '/{timer}/';
$patterns[2] = '/{point}/';
$patterns[3] = '/{points}/';
$patterns[4] = '/{scale}/';
$patterns[5] = '/{max}/';
$patterns[6] = '/{vacancy}/';
$patterns[7] = '/{delay}/';
$patterns[8] = '/{last}/';
$patterns[9] = '/{next}/';
$patterns[10] = '/{number}/';
$patterns[11] = '/{restriction}/';
$patterns[12] = '/{passed}/';
$patterns[13] = '/{available}/';
$patterns[14] = '/{start}/';
$patterns[15] = '/{end}/';
$patterns[16] = '/{date}/';

$test_time = 60 * $test_data->test_time;

$replacements = array();
$replacements[0] = date("H:i:s", mktime(0, 0, $test_time));
$replacements[1] = date("H:i:s", mktime(0, 0, $content_result_data->result_timer));
$replacements[2] = $content_result_data->result_point;
$replacements[3] = $content_result_data->result_points;
$replacements[4] = $content_result_data->result_scale;
$replacements[5] = $test_data->test_quantity;
$replacements[6] = $test_data->test_quantity - $content_result_passed;
$replacements[7] = $test_data->test_delay;
$replacements[8] = date('H:i:s', strtotime($content_result_data->result_date));
$replacements[9] = $test_time_left;
$replacements[10] = $test_data->test_complete;
$replacements[11] = $test_data->test_failed;
$replacements[12] = $content_result_count;
$replacements[13] = $content_result_available;
$replacements[14] = date('d.m.Y', strtotime($test_data->test_start));
$replacements[15] = date('d.m.Y', strtotime($test_data->test_end));
$replacements[16] = date('d.m.Y', strtotime($content_result_data->result_date));

if (isset($mail_content)) $mail_content = preg_replace($patterns, $replacements, $mail_content);
if (isset($test_result)) $test_result = preg_replace($patterns, $replacements, $test_result);

// Get forms data
$db->setQuery( "SELECT * FROM `#__jr_tfb_user` WHERE user_user = ".$current_user_id);
$user_forms_data = $db->loadObject();
// Create forms
$db->setQuery( "SELECT * FROM `#__jr_tfb_form`");
$user_form_fields = $db->loadObjectList();
$patterns = array();
$replacements = array();
foreach ($user_form_fields as $user_form_field) {
$patterns[] = '/{form-name-'.$user_form_field->id.'}/';
$replacements[] = $user_form_field->form_name;
$patterns[] = '/{form-value-'.$user_form_field->id.'}/';
$replacements[] = $user_forms_data->{'user_'.$user_form_field->id};
}
if (isset($mail_content)) $mail_content = preg_replace($patterns, $replacements, $mail_content);
if (isset($test_result)) $test_result = preg_replace($patterns, $replacements, $test_result);
?>