<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_banners
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * @return  array  A named array
 * @return  array
 */
function jr_tfbBuildRoute(&$query)
{
	$segments = array();

	if (isset($query['view']))
	{

if ($query['view'] == 'jrtfbtest') {
$segments[0] = 'test';
	if (isset($query['id']))
	{
$db = JFactory::getDBO();
$query_db = 'SELECT `test_title` FROM `#__jr_tfb_test` WHERE `id` = '.$query['id'];
$db->setQuery( $query_db );
$this_test = $db->loadResult();
$this_alias = array("а"=>"a","б"=>"b","в"=>"v","г"=>"g","д"=>"d","е"=>"e", 
"ё"=>"yo","ж"=>"j","з"=>"z","и"=>"i","й"=>"i","к"=>"k","л"=>"l", 
"м"=>"m","н"=>"n","о"=>"o","п"=>"p","р"=>"r","с"=>"s","т"=>"t", 
"у"=>"y","ф"=>"f","х"=>"h","ц"=>"c","ч"=>"ch", "ш"=>"sh","щ"=>"shh",
"ы"=>"i","э"=>"e","ю"=>"u","я"=>"ya","ї"=>"i","'"=>"","ь"=>"","Ь"=>"",
"ъ"=>"","Ъ"=>"","і"=>"i","А"=>"A","Б"=>"B","В"=>"V","Г"=>"G","Д"=>"D",
"Е"=>"E", "Ё"=>"Yo","Ж"=>"J","З"=>"Z","И"=>"I","Й"=>"I","К"=>"K", "Л"=>"L",
"М"=>"M","Н"=>"N","О"=>"O","П"=>"P", "Р"=>"R","С"=>"S","Т"=>"T","У"=>"Y",
"Ф"=>"F", "Х"=>"H","Ц"=>"C","Ч"=>"Ch","Ш"=>"Sh","Щ"=>"Sh", "Ы"=>"I","Э"=>"E",
"Ю"=>"U","Я"=>"Ya","Ї"=>"I","І"=>"I");
$this_test=strtr($this_test,$this_alias);
$this_test=preg_replace("| |","-",$this_test);
$segments[2]=preg_replace("|[^a-zA-Z0-9-]|","",$this_test);

		$segments[0] .= ':'.$query['id'];
		unset($query['id']);
	}
	$segments[1] = '';
	unset($query['view']);
	

               }
else if ($query['view'] == 'jrtfbtestlist') {
$segments[0] = 'category';
	if (isset($query['id']))
	{
$db = JFactory::getDBO();
$query_db = 'SELECT `category_title` FROM `#__jr_tfb_category` WHERE `id` = '.$query['id'];
$db->setQuery( $query_db );
$this_category = $db->loadResult();
$this_alias = array("а"=>"a","б"=>"b","в"=>"v","г"=>"g","д"=>"d","е"=>"e", 
"ё"=>"yo","ж"=>"j","з"=>"z","и"=>"i","й"=>"i","к"=>"k","л"=>"l", 
"м"=>"m","н"=>"n","о"=>"o","п"=>"p","р"=>"r","с"=>"s","т"=>"t", 
"у"=>"y","ф"=>"f","х"=>"h","ц"=>"c","ч"=>"ch", "ш"=>"sh","щ"=>"shh",
"ы"=>"i","э"=>"e","ю"=>"u","я"=>"ya","ї"=>"i","'"=>"","ь"=>"","Ь"=>"",
"ъ"=>"","Ъ"=>"","і"=>"i","А"=>"A","Б"=>"B","В"=>"V","Г"=>"G","Д"=>"D",
"Е"=>"E", "Ё"=>"Yo","Ж"=>"J","З"=>"Z","И"=>"I","Й"=>"I","К"=>"K", "Л"=>"L",
"М"=>"M","Н"=>"N","О"=>"O","П"=>"P", "Р"=>"R","С"=>"S","Т"=>"T","У"=>"Y",
"Ф"=>"F", "Х"=>"H","Ц"=>"C","Ч"=>"Ch","Ш"=>"Sh","Щ"=>"Sh", "Ы"=>"I","Э"=>"E",
"Ю"=>"U","Я"=>"Ya","Ї"=>"I","І"=>"I");
$this_category=strtr($this_category,$this_alias);
$this_category=preg_replace("| |","-",$this_category);
$segments[2]=preg_replace("|[^a-zA-Z0-9-]|","",$this_category);
	
		$segments[0] .= ':'.$query['id'];
		unset($query['id']);
	}
	$segments[1] = '';
	unset($query['view']);
               }
else {
$segments[0] = $query['view'];
unset($query['view']);
$segments[1] = $query['id'];
unset($query['id']);
}
	}
else {
$segments[0] = '';
if (isset($query['id']))
	{
		$segments[1] = $query['id'];
		unset($query['id']);
	}
else $segments[1] = '';
	
	}
	
/*
	if (isset($query['id']))
	{
		$segments[1] = $query['id'];
		unset($query['id']);
	}
	else $segments[1] = '';
*/
	
	return $segments;
}

/**
 * @return  array  A named rray
 * @param   array
 *
 * Formats:
 *
 * index.php?/banners/task/id/Itemid
 *
 * index.php?/banners/id/Itemid
 */
function jr_tfbParseRoute($segments)
{
	$vars = array();


// Check id
$get_items_router = $segments[0];
$get_item_router = explode(":", $get_items_router);
$get_view_router = $get_item_router[0];
$get_id_router = $get_item_router[1];
	
if ($get_view_router == 'category') {
	$vars['view'] = 'jrtfbtestlist';
	$vars['id'] = $get_id_router;
}
else if ($get_view_router == 'test') {
	$vars['view'] = 'jrtfbtest';
	$vars['id'] = $get_id_router;
}
else {
	$vars['view'] = $segments[0];
	$vars['id'] = $segments[1];
}

	
	return $vars;
}
