<?php // no direct access
defined('_JEXEC') or die('Restricted access'); 
$data = $this->data;
$db = JFactory::getDBO();

// Add component styles
$document = JFactory::getDocument();
$document->addStyleSheet( 'components/com_jr_tfb/css/styles.css' );
// Get parameters
$params = JComponentHelper::getParams('com_jr_tfb');
$test_access_user = $params->get( 'test_access_user' );

// Add scripts
JHtml::_('jquery.framework');
include('components/com_jr_tfb/js/jquery_calendar/script.php');
$document->addCustomTag('
<script type="text/javascript">
jQuery(document).ready(function($) {
$(".jr_tooltip").tooltip();
});
 </script>');
include ('components/com_jr_tfb/includes/clear.php');
include ('components/com_jr_tfb/includes/user.php');
include('components/com_jr_tfb/js/jquery_colorbox/script.php');

if ($test_access_user == 1) include ('components/com_jr_tfb/includes/user_new.php');

if ($current_user_id > 0) {
// Get forms
$db->setQuery( 'SELECT * FROM `#__jr_tfb_form` WHERE published = 1 AND (form_test = '.$data->id.' OR form_test LIKE "%|'.$data->id.'|%" OR form_test LIKE "'.$data->id.'|%" OR form_test LIKE "%|'.$data->id.'") ORDER BY ordering');
$form_list = $db->loadObjectList();

// Get groups
$db->setQuery( 'SELECT * FROM `#__jr_tfb_group` WHERE group_test = '.$data->id.' ORDER BY ordering');
$group_list = $db->loadObjectList();

// Get questions
foreach ($group_list as $group_item) {
if ($group_item->group_select == 0) $order = ' ORDER BY ordering';
else $order = ' ORDER BY RAND()';
if ($group_item->group_questions == 0) $limit = '';
else $limit = ' LIMIT 0, '.$group_item->group_questions;
$db->setQuery( 'SELECT * FROM `#__jr_tfb_question` WHERE question_group = '.$group_item->id.$order.$limit);
${'question_list'.$group_item->id} = $db->loadObjectList();
}



// Check access
include('components/com_jr_tfb/includes/access_test.php');

// Java-scripts include
include('components/com_jr_tfb/includes/scripts.php');

echo '
<div class="jr_test_area jr_row jr_col95 radius5">

<form name="test-form" class="test-form" />

<div class="jr_test_time jr_row jr_col100">
</div>

<div class="jr_test_title jr_row jr_col100">';
if ($data->test_showtitle > 0 AND $data->test_showdesc == 0) echo '
<span class="jr_tooltip" title="'.htmlspecialchars($data->test_desc).'">'.$data->test_title.'</span>';
else if ($data->test_showtitle > 0) echo $data->test_title;
echo '
</div>

<div class="jr_test_description jr_row jr_col100">';
if ($data->test_showdesc > 0) echo $data->test_desc;
echo '
</div>

<div class="jr_test_group_title jr_row jr_col100">';
if (!$form_list AND $data->test_showdesc != 2 AND $test_access == 1) {
//echo 'group title';
}
echo '
</div>

<div class="jr_test_group_description jr_row jr_col100">';
if (!$form_list AND $data->test_showdesc != 2 AND $test_access == 1) {
//echo 'group description';
}
echo '
</div>

<div class="jr_test_notification jr_row jr_col100">
</div>

<div class="jr_test_content jr_row jr_col100">';
if ($test_access == 0) echo $test_access_error;
else if ($form_list AND $test_access == 1) {

if ($data->test_showdesc == 2) echo '
<div id="form_list" style="display:none;">';

$add_phone_script = 0;

foreach ($form_list as $form_item) {

if ($form_item->form_desc != '') {
$label_class = " jr_tooltip";
$label_title = ' title="'.htmlspecialchars($form_item->form_desc).'"';
}
else {
$label_class = '';
$label_title = '';
}

echo '

<div class="jr_form_item jr_row jr_col95 jr_form_error" id="error_'.$form_item->id.'"></div>

<div class="jr_form_item jr_row jr_col95'.$label_class.'"'.$label_title.'>';

if ($form_item->form_required == 1) {
$label_required = '<span class="jr_required"></span>';
}
else $label_required = '<span class="jr_option"></span>';
echo '
<div class="jr_form_label jr_line jr_col50">
'.$label_required.$form_item->form_title.'
';

if ($form_item->form_type == 6) echo '<span id="form_country_'.$form_item->id.'"></span>';






echo '
</div>';

echo '
<div class="jr_form_field jr_line jr_col50">';

// GET USER DATA
$user_data_field = $user_data->{'user_'.$form_item->id};

// ------- CREATE CHANGE CONDITION -------

if ($form_item->form_rule == 0 AND $user_data_field != '') {
$form_rule = ' readonly = "readonly"';
$form_rule_condition = ' disabled = "disabled"';
$form_rule_class = '';
}
else {
$form_rule = '';
$form_rule_condition = '';
$form_rule_class = ' jr_date';
echo '
<input type="hidden" name="input_change_'.$form_item->id.'" value="1" />';
}

// ------- CREATE CHANGE CONDITION -------

if ($form_item->form_type == 0) echo '
<input class="jr_form jr_input_text jr_col100" type="text" name="input_'.$form_item->id.'" value="'.$user_data_field.'"'.$form_rule.'/>';

else if ($form_item->form_type == 1) echo '
<textarea class="jr_form jr_restrict jr_input_textarea jr_col100" name="input_'.$form_item->id.'"'.$form_rule.'>'.$user_data_field.'</textarea>';

else if ($form_item->form_type == 2) {
$form_options = explode('%|%', $form_item->form_options);
foreach ($form_options as $form_option) {
if ($user_data_field == $form_option) $form_selection = ' checked="checked"';
else $form_selection = '';
echo '
<div class="jr_row">
<div class="jr_line">
<input class="jr_input_radio" type="radio" name="input_'.$form_item->id.'" value="'.$form_option.'"'.$form_selection.$form_rule_condition.'/>
</div>
<div class="jr_line jr_form">
'.$form_option.'
</div>
</div>';
}
}

else if ($form_item->form_type == 3) {

$user_data_field = explode('|', $user_data_field);

$form_options = explode('%|%', $form_item->form_options);
$i = 1;
foreach ($form_options as $form_option) {
if ($user_data_field[$i-1] == 1) $form_selection = ' checked="checked"';
else $form_selection = '';
echo '
<div class="jr_row">
<div class="jr_line">
<input class="jr_input_checkbox" type="checkbox" name="input_'.$form_item->id.'_'.$i.'" value="'.$form_option.'" '.$form_selection.$form_rule_condition.'/>
</div>
<div class="jr_line jr_form">
'.$form_option.'
</div>
</div>';
$i++;
	}
}

else if ($form_item->form_type == 4) {
echo '
<select class="jr_form jr_input_select jr_col100" name="input_'.$form_item->id.'"'.$form_rule_condition.'>';
echo '<option value="">'.JText::_( 'JR_TFB_TEST_SELECT_OPTION' ).'</option>';
$form_options = explode('%|%', $form_item->form_options);
foreach ($form_options as $form_option) {
if ($user_data_field == $form_option) $form_selection = ' selected="selected"';
else $form_selection = '';
echo '<option value="'.$form_option.'"'.$form_selection.'>'.$form_option.'</option>';
}
echo '
</select>';
}

else if ($form_item->form_type == 5) echo '
<input class="jr_form '.$form_rule_class.' jr_col100" type="text" name="input_'.$form_item->id.'" readonly="readonly" value="'.$user_data_field.'" />';
else if ($form_item->form_type == 6) {
// Add java script
if ($add_phone_script == 0) {
include ('components/com_jr_tfb/js/jquery_phone/script.php');
$add_phone_script++;
}
// Add field script
include ('components/com_jr_tfb/js/jquery_phone/field.php');
echo '
<input id="order_user_phone_'.$form_item->id.'" class="jr_form jr_input_text jr_col00" type="text" name="input_'.$form_item->id.'" value="'.$user_data_field.'"'.$form_rule.'/>
<span style="display: none;">
<input type="checkbox" id="phone_mask_'.$form_item->id.'" checked="checked" />
<label id="descr'.$form_item->id.'" for="phone_mask'.$form_item->id.'">Маска ввода</label>
</span>
';
}
echo '
</div>';
echo '
</div>';
	}
	
if ($data->test_showdesc == 2) echo '
</div>';
	
}
echo '
</div>

<div class="jr_test_counter jr_row jr_col100">
</div>

<div class="jr_test_navigation jr_row jr_col100">
<div class="jr_test_navigation_left jr_col45 jr_line">
</div>
<div class="jr_test_navigation_right jr_col55 jr_line">';
if ($form_list AND $data->test_showdesc != 2 AND $test_access == 1) echo '<span class="jr_test_form">'.JText::_( 'JR_TFB_TEST_NEXT' ).'</span>';
else if ($data->test_showdesc != 2 AND $test_access == 1) echo '<span class="jr_test_start">'.JText::_( 'JR_TFB_TEST_NEXT' ).'</span>';
else if ($data->test_showdesc == 2 AND $test_access == 1) echo '<span class="jr_test_start">'.JText::_( 'JR_TFB_TEST_START' ).'</span>';
echo '
</div>
</div>

<input type="hidden" name="jr_tfb_id" value="'.$data->id.'" />
<input type="hidden" name="jr_tfb_user" value="'.$current_user_id.'" />

</form>

</div>';

}

else include ('components/com_jr_tfb/includes/testformbuilder.php');
?>