<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();

// Connect DB
$db = JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params = JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
	
// Get data
$test_id = $_POST['jr_tfb_test_id'];

// TEST PAGE
$db->setQuery( "SELECT * FROM `#__jr_tfb_test` WHERE id = ".$test_id );
$test_data = $db->loadObject();
$test_content_template = $test_data->test_certificate_template;

// Get test data
$db->setQuery( "SELECT * FROM `#__jr_tfb_test` WHERE id = ".$test_id );
$test_data = $db->loadObject();

// Get form data
$db->setQuery('SELECT * FROM `#__jr_tfb_form` WHERE form_test LIKE "'.$test_id.'" OR form_test LIKE "'.$test_id.'|%" OR form_test LIKE "%|'.$test_id.'" OR form_test LIKE "%|'.$test_id.'|%"');
$test_form = $db->loadObjectList();

// Date
$test_today = JFactory::getDate('now')->toSQL();

if ($test_data->test_certificate_valid == 0) $test_term = 'безсрочный';
else {
if ($test_data->ctest_ertificate_valid == 1) $test_period = 'day';
if ($test_data->test_certificate_valid == 2) $test_period = 'month';
if ($test_data->test_certificate_valid == 3) $test_period = 'year';
$test_term = JFactory::getDate('+'.$test_data->test_certificate_term.' '.$test_period)->toSQL();
$test_term = date('d.m.Y', strtotime($test_term));
}

// Create Link
if (isset($_SERVER['HTTPS'])) {
if (!empty($_SERVER['HTTPS'])) $host = 'https://';
else $host = 'http://';	
}
else $host = 'http://';
$uri = JFactory::getURI();
//$host = $uri->toString(array('host'));
$host .= $_SERVER['HTTP_HOST'];
$code = md5("0:".$test_id.":0:0:".$test_today);
$test_link = $host.'/components/com_jr_tfb/plugins/tfb_plugin_certificate/certificate_verification.php?id='.$test_id.'&code='.$code;

require_once (JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'lib'.DS.'qrcode'.DS.'qrlib.php'); // Подключаем библиотеку
QRcode::png($test_link, JPATH_BASE.DS.'components/com_jr_tfb/print/qrcode_'.$test_id.'.png', "H", 2, 2);
$test_qrcode = '<img src="'.JPATH_BASE.DS.'components/com_jr_tfb/print/qrcode_'.$test_id.'.png" alt="" />';

// Prepair content
$test_content_template = $test_data->test_certificate_template;

// DEMO
$test_rating = 1;
$test_percents = 100;

// Create content
$patterns = array();
$patterns[0] = '/{test_title}/';
$patterns[1] = '/{test_point}/';
$patterns[2] = '/{test_scale}/';
$patterns[3] = '/{test_date}/';
$patterns[4] = '/{test_numder}/';
$patterns[5] = '/{test_link}/';
$patterns[6] = '/{test_qrcode}/';
$patterns[7] = '/{test_rating}/';
$patterns[8] = '/{test_percents}/';
$patterns[9] = '/{test_term}/';

$replacements = array();
$replacements[0] = $test_data->test_title;
$replacements[1] = 'кол-во баллов';
$replacements[2] = 'оценка';
$replacements[3] = date('d.m.Y', strtotime($test_today));
$replacements[4] = 'номер сертификата';
$replacements[5] = $test_link;
$replacements[6] = $test_qrcode;
$replacements[7] = 'рейтинг';
$replacements[8] = 'процент';
$replacements[9] = $test_term;

$test_content_template = preg_replace($patterns, $replacements, $test_content_template);


$i = 0;
$patterns = array();
$replacements = array();
foreach ($test_form as $test_form_item) {
$patterns[$i] = '/{test_user_'.$test_form_item->id.'_value}/';
$replacements[$i] = $test_form_item->form_name;	
$i++;
$patterns[$i] = '/{test_user_'.$test_form_item->id.'_field}/';
$replacements[$i] = $test_form_item->form_name;
$i++;
}
$test_content_template = preg_replace($patterns, $replacements, $test_content_template);

// Create content
$test_content = '
<body>';
$test_content .= $test_content_template;
$test_content .= '
</body>';

// Create file
require_once (JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'lib'.DS.'pdf'.DS.'tcpdf.php'); // Подключаем библиотеку
  /* Создаём объект TCPDF.
  - Книжная ориентация
  - Единица измерения - миллиметры
  - Формат А4
  - Использование unicode
  - Кодировка - UTF-8
  */
//$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
// Page format
// Get image data
$blank_file = JPATH_BASE.DS.$test_data->test_certificate_blank;
//$blank_file = 'https://mec-krd.ru/images/certificates/certificate.jpg';
$blank_data = getimagesize($blank_file);
$blank_width = $blank_data[0];
$blank_height = $blank_data[1];
$pageLayout = array($blank_width, $blank_height); 
$pdf = new TCPDF('', 'pt', $pageLayout, true, 'UTF-8', false);
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);
  /* Установка отступов
  - 0 слева
  - 0 справа
  - 0 сверху
  */
$pdf->SetMargins(0, 0, 0);
$pdf->AddPage(); // Добавляем страницу
//$pdf->SetXY(0, 0); // Установка текущей точки (в мм)
//$pdf->SetDrawColor(100, 100, 0); // Установка цвета (RGB)
//$pdf->SetTextColor(200, 0, 0); // Установка цвета текста (RGB)
//$pdf->SImage($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)
// set JPEG quality
$pdf->setJPEGQuality(75);
$pdf->setImageScale(1);
$pdf->SetAutoPageBreak(false, 0);
$img_file = $blank_file;
$pdf->Image($img_file, 0, 0, '', '', '', '', '', false, 300, '', false, false, 0, false, false, true);
//$pdf->SetFont('arial', '', ''); // устанавливаем имя шрифта и его размер
$pdf->writeHTML($test_content, true, 0, true, 0);
// Сохраняем файл
$time_stamp = time();
$pdf->Output(JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'print'.DS.'test-certificate-'.$result_id.'_'.$time_stamp.'.pdf', 'F'); 
// Выводим в браузер
//echo JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'print'.DS.'test-certificate-'.$result_id.".pdf"
if ($result_print == 0) echo 'test-certificate-'.$result_id.'_'.$time_stamp;
else {
$uri = JFactory::getURI();
$host = $uri->toString(array('host'));
$newURL = '/components'.DS.'com_jr_tfb'.DS.'print'.DS.'test-certificate-'.$result_id.'_'.$time_stamp.'.pdf';
header('Location: '.$newURL);
}
?>