<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php //jimport('joomla.html.pagination'); // no need J2.5!?>
<?php JHtml::_('behavior.tooltip'); ?>
<?php
// Add styles
$document = JFactory::getDocument();
$document->addStyleSheet( 'components/com_jr_tfb/css/styles.css' );

// Create shortcut to parameters.
$params = JComponentHelper::getParams('com_jr_tfb');
$test_access = $params->get( 'test_access' );
?>
<?php
	$numCols = 0; // number of td tag... ie does not support colspan="0" :(
	$this->lists['order_Dir'] = $this->escape($this->state->get('filter.direction'));
	$this->lists['order'] = $this->escape($this->state->get('filter.ordering', 'id'));// default order is primary key
	$this->lists['search'] = $this->escape($this->state->get('filter.search'));
	$this->lists['published'] = $this->escape($this->state->get('filter.published'));
	
	// Get addons
	$db = JFactory::getDBO();
	$db->setQuery( 'SELECT * FROM `#__jr_tfb_plugins` ');
	$plugins_data = $db->loadObjectList();
	
	// Get export/import addon
	$db->setQuery( 'SELECT published FROM `#__jr_tfb_plugins` WHERE plugins_file = "tfb_plugin_backup"' );
	$addon_import_export = $db->loadResult();
	if (!$addon_import_export) $addon_import_export = 0;
	
	
	
// Connect ajax upload
include ( 'components/com_jr_tfb/js/jquery_file_upload/script.php' );
//include ( 'components/com_jr_tfb/js/jquery_file_upload/ajax_upload.php' );
?>

<script type="text/javascript">
jQuery(document).ready(function($){

new AjaxUpload($('#uploadfile'), {
action: '<?php echo JURI::root()."administrator/components/com_jr_tfb/js/jquery_file_upload/upload-file.php" ?>',
name: 'uploadfile',
	data: {
	  verification: '<?php echo $test_access; ?>',
            },
			onComplete: function(file, response){
			var loadcommand = $(response).filter('#command').html();
			if (loadcommand == 'upload') $("#jr_tfb_update_fields").html('<div class="btn btn-small btn-danger" id="jr_tfb_update_import_load"><?php echo JText::_( 'JR_TFB_MANAGER_UPDATE_UPLOAD' )?></div>');			
			else if (loadcommand == 'error') $("#jr_tfb_update_fields").html('<div class="btn btn-small btn-danger"><?php echo JText::_( 'JR_TFB_MANAGER_UPDATE_MOVE_ERROR' )?></div>');			
			else if (loadcommand == 'file') $("#jr_tfb_update_fields").html('<div class="btn btn-small btn-danger"><?php echo JText::_( 'JR_TFB_MANAGER_UPDATE_FILE' )?></div>');			
			else if (loadcommand == 'access') $("#jr_tfb_update_fields").html('<div class="btn btn-small btn-danger"><?php echo JText::_( 'JR_TFB_MANAGER_UPDATE_ACCESS' )?></div>');			
			}

		});

$(".plugin_settings").live( "click", function() {
var str = "site=<?php echo JURI::root(); ?>\u0026control=settings\u0026addons_id="+$(this).attr('id')+"\u0026verification=<?php echo $test_access; ?>";
var string_id = $(this).attr('id');
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/ajax/addons_control.php", str, function(data) {
var answer = $(data).filter("#answer").html();
var control = $(data).filter("#command").html();
if (control == 1) {
$("#panel_"+string_id).html(answer);
$('.hasTip').tooltip({"html": true,"container": "body"});
}
else alert ("<?php echo JText::_( 'JR_TFB_ERROR' ); ?>");
});
});

$(".jr_published").live( "click", function() {
$('.tip-wrap').remove();
$('.tooltip').remove();
var str = "site=<?php echo JURI::root(); ?>\u0026control=publish\u0026addons_id="+$(this).attr('rel')+"\u0026verification=<?php echo $test_access; ?>";
var string_id = $(this).attr('rel');
$("#panel_settings_"+string_id).html("");
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/ajax/addons_control.php", str, function(data) {
var answer = $(data).filter("#answer").html();
var control = $(data).filter("#command").html();
if (control == 1) {
$('#jr_published_'+string_id).html(answer);
$('.hasTip').tooltip({"html": true,"container": "body"});
}
else alert ("<?php echo JText::_( 'JR_TFB_ERROR' ); ?>");
});
});

$(".jr_remove_addon").live( "click", function() {
$('#panel_settings_'+$(this).attr('rel')).html('<div rel="'+$(this).attr('rel')+'" class="jr_margin_button btn btn-small btn-danger jr_remove_accept"><?php echo JText::_( 'JR_TFB_REMOVE' ); ?></div><div rel="'+$(this).attr('rel')+'" class="jr_margin_button btn btn-small btn-success jr_remove_cancel"><?php echo JText::_( 'JR_TFB_CANCEL' ); ?></div>');
});

$(".jr_remove_cancel").live( "click", function() {
$('#panel_settings_'+$(this).attr('rel')).html('');
});

$(".jr_remove_accept").live( "click", function() {
var remove_id = $(this).attr('rel');
var str = "site=<?php echo JURI::root(); ?>\u0026control=remove\u0026addons_id="+remove_id+"\u0026verification=<?php echo $test_access; ?>";
$("#panel_settings_"+remove_id).html('');
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/ajax/addons_control.php", str, function(data) {
var control = $(data).filter("#command").html();
if (control == 1) {
$('#panel_settings_'+remove_id).remove();
$('#line_'+remove_id).remove();
}
else alert ("<?php echo JText::_( 'JR_TFB_ERROR' ); ?>");
});
});

$(".settings_close").live( "click", function() {
var close_id = $(this).attr('rel');
$("#panel_settings_"+close_id).html("");
});

$(".settings_save").live( "click", function() {
var save_id = $(this).attr('rel');
var str = $( "#adminForm" ).serialize();
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/ajax/addons_control.php", str, function(data) {
$("#panel_settings_"+save_id).html("");
});
});

$("#jr_tfb_update_export").live( "click", function() {
$( "#jr_tfb_update_export" ).hide();
$( "#uploadfile" ).hide();
$( "#jr_tfb_update_fields" ).html("<img src=\"<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/images/loader.gif\" />");
var str = "verification=<?php echo $test_access; ?>\u0026control=export";
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/plugins/tfb_plugin_backup/plugin_functions.php", str, function(data) {
var answer = $(data).filter("#answer").html();
$("#jr_tfb_update_fields").html(answer);
$( "#jr_tfb_update_export" ).show();
$( "#uploadfile" ).show();
});
});

$("#jr_tfb_update_import_load").live( "click", function() {
$( "#jr_tfb_update_export" ).hide();
$( "#uploadfile" ).hide();
$( "#jr_tfb_update_fields" ).html("<img src=\"<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/images/loader.gif\" />");
var str = "verification=<?php echo $test_access; ?>\u0026control=import";
$.post("<?php echo JURI::root(); ?>administrator/components/com_jr_tfb/plugins/tfb_plugin_backup/plugin_functions.php", str, function(data) {
var answer = $(data).filter("#answer").html();
$("#jr_tfb_update_fields").html(answer);
$( "#jr_tfb_update_export" ).show();
$( "#uploadfile" ).show();
});
});

});
</script>


<form action="<?php echo JRoute::_('index.php?option=com_jr_tfb'); ?>" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div id="editcell">
	<div class="clr"> </div>
	<table class="adminlist" width="100%">
	<?php
	for ($i=0, $n=count( $this->rows ); $i < $n; $i++)	{
		$row = &$this->rows[$i];
		$link_update = JRoute::_( 'index.php?option=com_jr_tfb&task=jrtfbversion.edit&id='. $row->id);
		$link_addons = JRoute::_( 'index.php?option=com_jr_tfb&task=jrtfbversion.edit&id=2');
		$information = JText::_( 'JR_TFB_MANAGER_VERSION_INSTALLED' ).$row->version_relize.JText::_( 'JR_TFB_MANAGER_VERSION_FROM' ).JHTML::_('date', $row->version_date, JText::_('d.m.Y'));
		if ($row->version_update != "0000-00-00") $information .= JText::_( 'JR_TFB_MANAGER_VERSION_UPDATED' ).JHTML::_('date', $row->version_update, JText::_('d.m.Y')).'.';
		$information_update = nl2br($row->version_desc);
		?>
		<tr>
			<td width="50%">
			<div style="color:blue;padding:10px;">
			<?php echo $information; ?>
			</div>
			</td>
			<td width="50%">
			<div style="color:blue;padding:10px; text-align:center;">
			<?php if ($addon_import_export == 1) echo JText::_( 'JR_TFB_TEST_DATA_BACKUP' )?>
			</div>
			</td>
		</tr>
		<tr>
			<td>
			<div style="color:#CC0000;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
			<?php echo $information_update; ?>
			</div>
			</td>
			<td>
			<div id="jr_tfb_update_fields" style="color:#CC0000;padding:10px; text-align:center;">
			</div>
			</td>
		</tr>
		<tr>
			<td style="text-align:center;">
			<a href="<?php echo $link_update; ?>" class="btn btn-small btn-success">
			<?php echo JText::_( 'JR_TFB_MANAGER_VERSION_UPDATE' )?>
			</a>
			<a href="https://jrextensions.ru" class="btn btn-small" target="blank">
			<?php echo JText::_( 'JR_TFB_MANAGER_VERSION_DOWNLOAD' )?>
			</a>
			</td>
			<td style="text-align:center;">
			<?php if ($addon_import_export == 1){ ?>
			<div id="jr_tfb_update_export" class="btn btn-small btn-info">
			<?php echo JText::_( 'JR_TFB_MANAGER_VERSION_EXPORT' )?>
			</div>
			<div class="uploadfile btn btn-small btn-success" id="uploadfile">
			<?php echo JText::_( 'JR_TFB_MANAGER_VERSION_IMPORT' )?>
			</div>
			<?php } ?>
			</td>
		</tr>		
	<?php
	}
	?>
	</table>
	
	
	<table class="adminlist" width="100%">
		<tr>
			<td style="text-align: center">
			<div style="color:#CC0000;font-weight:bold;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
			<?php echo JText::_( 'JR_TFB_MANAGER_PLUGINS_LIST' )?>
			</div>
			</td>
		</tr>
	</table>

<div id="addons_list">	

		<?php
		foreach ($plugins_data as $plugins_item) {
		
		if ($plugins_item->plugins_panel == 0) {
		$published_class = 'jr_published_ever';
		$plugins_published = '<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/tick.png" />';
		}
		else {
		$published_class = 'jr_published';
		if ($plugins_item->published == 0) $plugins_published = '<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/disabled.png" class="jr_pointer hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_PUBLISHED' ).'"/>';
		else $plugins_published = '<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/tick.png" class="jr_pointer hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_UNPUBLISHED' ).'"/>';
		}
		
		if ($plugins_item->plugins_panel == 0) $plugins_panel = '<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/admin.png" class="hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_ADMIN' ).'"/>';
		else $plugins_panel = '<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/site.png" class="hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_SITE' ).'"/>';
		
		if ($plugins_item->plugins_options_name != '') $plugins_options = '<div style="padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/settings.png" class="jr_pointer plugin_settings hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_SETTINGS' ).'" id="settings_'.$plugins_item->id.'"/>
			</div>';
			
		else $plugins_options = '<div style="padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/settings_hidden.png" class="hasTip" title="'.JText::_( 'JR_TFB_MANAGER_PLUGINS_SETTINGS_NO' ).'"/>
			</div>';
		
		echo '
	<table class="adminlist" width="100%">
		<tr id="line_'.$plugins_item->id.'">
			<td style="text-align: center">
			<div style="color:blue;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
			'.JText::_( $plugins_item->plugins_name ).'
			</div>
			</td>
			
			<td style="text-align: center">
			<div style="color:blue;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
			'.JText::_( $plugins_item->plugins_desc ).'
			</div>
			</td>
			
			<td style="text-align: center">
			'.$plugins_options.'
			</td>
			
			<td style="text-align: center">
			<div style="color:blue;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;">
			'.$plugins_panel.'
			</div>
			</td>
			
			<td style="text-align: center">
			<div style="color:blue;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;" class="'.$published_class.'" rel="'.$plugins_item->id.'" id="jr_published_'.$plugins_item->id.'">
			'.$plugins_published.'
			</div>
			</td>
			
			<td style="text-align: center">
			<div style="color:blue;padding:10px;background-color: #FCF8E3;border: 1px solid #FCF8E3;margin: 10px 0;-moz-border-radius: 5px;-webkit-border-radius: 5px;-khtml-border-radius: 5px;border-radius: 5px;" class="jr_remove_addon" rel="'.$plugins_item->id.'" id="jr_remove_'.$plugins_item->id.'">
			<img src="'.JURI::root().'administrator/components/com_jr_tfb/images/icon-16-delete.png" class="jr_pointer hasTip" title="'.JText::_( 'JR_TFB_REMOVE' ).'"/>
			</div>
			</td>
			

		</tr>
	</table>	
		
	<div class="settings_panel" id="panel_settings_'.$plugins_item->id.'"></div>';
		
		}
		?>
</div>
<div class="jr_bottom">		
	<table class="adminlist" width="100%">
		<tr>
			<td style="text-align: right">
			<a href="<?php echo $link_addons; ?>" class="btn btn-small btn-success">
			<?php echo JText::_( 'JR_TFB_MANAGER_ADDONS_UPLOAD' )?>
			</a>
			</td>
		</tr>
	</table>
</div>	
	
</div>
<input type="hidden" name="option" value="com_jr_tfb" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="view" value="jrtfbuserlist" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>
