<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db =& JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params =& JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {



// Get data
$test_id = $_POST['jr_tfb_id'];
$current_user_id = $_POST['jr_tfb_user'];



// Check existing test
$db->setQuery( 'SELECT * FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_test = $db->loadObject();



// Show current test started
if ($user_test) {
// Get test data 
$db->setQuery( 'SELECT * FROM `#__jr_tfb_test` WHERE id = '.$_POST['jr_tfb_id'] );
$test_data = $db->loadObject();

// Get questions
$test_groups = explode('|', $user_test->result_questions);
$test_questions_table = array();
$test_group = array();
$group_back_questions = array();
$group_first_questions = array();
$group_last_questions = array();

foreach ($test_groups as $test_group_list) {
	
$question_number = 0;
	
$test_group_data = explode('-', $test_group_list);

// Create group
// Check existing test
$db->setQuery( 'SELECT group_back FROM `#__jr_tfb_group` WHERE id = '.$test_group_data[0]);
$group_back = $db->loadResult();


$test_group[] = $test_group_data[0];
// Create group questions
${'test_group_questions_'.$test_group_data[0]} = array();


$test_group_questions = explode(',', $test_group_data[1]);

foreach ($test_group_questions as $test_group_item) {
// Add first group questions
if ($question_number == 0) $group_first_questions[] = $test_group_item;
// Add first question ID
if ($group_back == 0 OR ($test_data->test_back == 0 AND $question_number == 0)) $group_back_questions[] = $test_group_item;
// Add question ID to group list
${'test_group_questions_'.$test_group_data[0]}[] = $test_group_item;
// Add question to test list
$test_questions_table[] = $test_group_item;
$question_number = $question_number + 1;
}
$group_last_questions[] = $test_group_item;
}

// Check navigation
if (isset($_POST['jr_test_button']) AND $_POST['jr_test_button'] != 'stay') {
// If not answer
if ($_POST['jr_test_button'] == 'stay') echo '
<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_FORM' ).'
</div>';
else {
// ----- Check question's answer -----
// Get question data
$question_data = $_POST['jr_test_question'];
$test_questions_number = $question_data - 1;
$db->setQuery( 'SELECT * FROM `#__jr_tfb_question` WHERE id = '.$test_questions_table[$test_questions_number] );
$test_current_question_check = $db->loadObject();
if ($test_current_question_check->question_required == 1) {
// Checkbox
if ($test_current_question_check->question_answer == 2) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_answer` WHERE answer_question = '.$test_questions_table[$test_questions_number] );
$test_current_answer_count = $db->loadResult();
$error_answer = 0;
for ($i=1;$i<=$test_current_answer_count;$i++) {
if ($_POST['jr_tfb_answer_'.$i] > 0) $error_answer = $error_answer + 1;
}
if ($error_answer == 0) $error = 'empty';
}
// Radio
else if ($test_current_question_check->question_answer == 1) {
if ($_POST['jr_tfb_answer_1'] == '') $error = 'empty';
}
// Select
else if ($test_current_question_check->question_answer == 0) {
if ($_POST['jr_tfb_answer_1'] == '') $error = 'empty';
}
}







// Save question answer
// Get answers
$test_answers = explode(',', $user_test->result_answers);
// Create answers array
$test_answers_array = array();
$test_questions_number_check = 1;
foreach ($test_answers as $test_answers_item) {
$test_answers_array[$test_questions_number_check] = $test_answers_item;
$test_questions_number_check++;
}

// Add current answer

// Checkbox
if ($test_current_question_check->question_answer == 2) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_answer` WHERE answer_question = '.$test_questions_table[$test_questions_number] );
$test_current_answer_count = $db->loadResult();
$test_answers_item  = '';
for ($i=1;$i<=$test_current_answer_count;$i++) {
if ($test_answers_item != '') $test_answers_item .= '`';
if ($_POST['jr_tfb_answer_'.$i] > 0) $test_answers_item .= $i;
else  $test_answers_item .= '0';
}
}
// Radio
else if ($test_current_question_check->question_answer == 1) {
$test_answers_item = $_POST['jr_tfb_answer_1'];
}
// Select
else if ($test_current_question_check->question_answer == 0) {
$test_answers_item = $_POST['jr_tfb_answer_1'];
}
if ($test_answers_item == '') $test_answers_item = 0;
$test_answers_array[$question_data] = $test_answers_item;


// Create answersstring
$test_answers_save = '';
foreach ($test_answers_array as $test_answers_array_item) {
if ($test_answers_save != '') $test_answers_save .= ',';
$test_answers_save .= $test_answers_array_item;
}

// Save answer
$field_data = '`result_answers` = "'.$test_answers_save.'"';
$update_entry = "UPDATE `#__jr_tfb_result` SET $field_data WHERE result_result != 2 AND result_test = $test_id AND result_user = $current_user_id";
$db->setQuery($update_entry);
$db->query();

// Check conditions
if ($error == 'empty' AND $_POST['jr_test_button'] == 'next') {
echo '<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_ANSWER' ).'
</div>';
$test_questions_current = $question_data;
}
// Else return to this question if back navigation prohibited
else if ($error == 'prohibited') {
echo '<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_BACK' ).'
</div>';
$test_questions_current = $_POST['jr_test_question'];
		}
else {
echo '<div id="jr_test_notification">
</div>';
if ($_POST['jr_test_button'] == 'back') $test_questions_current = $_POST['jr_test_question'] - 1;
else if ($_POST['jr_test_button'] == 'next') $test_questions_current = $_POST['jr_test_question'] + 1;
		}
	}
}

else {
// Check answers for restart or new test
if ($user_test->result_answers == '') $test_questions_current = 1;
else {
$test_answers = explode(',', $user_test->result_answers);
$test_questions_count = count($test_questions_table);
$test_answers_count = count($test_answers);

if ($test_questions_count == $test_answers_count) $test_questions_current = $test_answers_count;
else $test_questions_current = $test_answers_count + 1;

$test_questions_number = $test_questions_current;

	}
}

// Show time bar limited
if ($test_data->test_timer_show == 1 AND $test_data->test_time > 0 AND $test_data->test_timer == 0) {
$test_time = 60 * $test_data->test_time;
$test_time = $test_time - $user_test->result_timer;
$test_time_left = date("H:i:s", mktime(0, 0, $test_time));
if ($test_time > 0) echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_LEFT' ).' <span id="jr_test_timer">'.$test_time_left.'</span>
</div>';
else echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_LEFT_EXPIRED' ).'
</div>';
}


// Show time bar not limited
else if ($test_data->test_timer_show == 1 AND $test_data->test_time > 0 AND $test_data->test_timer == 1) {
$test_time = $user_test->result_timer;
$test_time_passed = date("H:i:s", mktime(0, 0, $test_time));
echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_PASSED' ).' <span id="jr_test_timer">'.$test_time_passed.'</span>
</div>';
}

else echo '
<div id="jr_test_time">
</div>';










/*


// Close test by group points
$test_questions_number_group = $test_questions_current - 1;
if (in_array($test_questions_table[$test_questions_number_group], $group_first_questions)) {
// Get group of question
$db->setQuery( 'SELECT `group_points` FROM `#__jr_tfb_group` WHERE id = '.$user_test->result_points_group_id );
$test_data_group = $db->loadResult();
// Check group condition
if ($test_data_group > 0) {
// Calculation of group points
$user_test_points_group = 0;
// Get result
$db->setQuery( 'SELECT `result_questions`, `result_answers` FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_group_result = $db->loadObject();
$group_questions = $user_group_result->result_questions;
$group_answers = $user_group_result->result_answers;
// Get points for group's questions
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/result_group.php');

*/


// Close test by group points
$test_questions_number_group = $test_questions_number;


if ($test_questions_current == 1) $test_questions_number_group_id = $test_questions_current;
else $test_questions_number_group_id = $test_questions_current - 1;

//if (in_array($test_questions_table[$test_questions_number_group], $group_last_questions)) {
if (in_array($test_questions_table[$test_questions_number_group_id], $group_first_questions)) {
// Get group of question


$db->setQuery( 'SELECT question_group FROM `#__jr_tfb_question` WHERE id = '.$test_questions_table[$test_questions_number_group] );
$test_question_group = $db->loadResult();


$db->setQuery( 'SELECT `group_points` FROM `#__jr_tfb_group` WHERE id = '.$test_question_group );
$test_data_group = $db->loadResult();

/*
$db->setQuery( 'SELECT `group_points` FROM `#__jr_tfb_group` WHERE id = '.$user_test->result_points_group_id );
$test_data_group = $db->loadResult();


$mail_subject = 'test group select';
$mail_content = 'test group select - '.$test_question_group;

$mail_content .= '<br/>question - '.$test_questions_table[$test_questions_number_group];

$mail_content .= '<br/>first questions:';

foreach ($group_first_questions as $group_first_questions_item) {

$mail_content .= '<br/>'.$group_first_questions_item;	
	
}

JFactory::getMailer()->sendMail('dima_besh@rambler.ru', 'Dimon', 'joomlaru.org@yandex.ru', $mail_subject, $mail_content, true, null, null, null);	
*/


// Check group condition
if ($test_data_group > 0) {
// Calculation of group points
$user_test_points_group = 0;
// Get points for group's questions
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/result_group.php');

/*
$mail_subject = 'test group select';
$mail_content = 'test group select - '.$test_question_group;

$mail_content .= '<br/>question - '.$test_questions_table[$test_questions_number_group];

$mail_content .= '<br/>first questions:';

foreach ($group_first_questions as $group_first_questions_item) {

$mail_content .= '<br/>'.$group_first_questions_item;	
	
}

$mail_content .= '<br/>group points - '.$test_data_group;

$mail_content .= '<br/>points - '.$user_test_points_group;

JFactory::getMailer()->sendMail('dima_besh@rambler.ru', 'Dimon', 'joomlaru.org@yandex.ru', $mail_subject, $mail_content, true, null, null, null);	

*/


$test_close_by_group = 0;
// Calculate group points
if ($user_test_points_group < $test_data_group) $test_close_by_group = 1;
if ($test_close_by_group == 1) {
echo '<div id="command">group_stop</div>';
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/result.php');
}
else {
// Get next group
$db->setQuery( 'SELECT `question_group` FROM `#__jr_tfb_question` WHERE id = '.$test_questions_table[$test_questions_number_group] );
$result_points_group_id = $db->loadResult();
// Update group and reset points
$field_data = '`result_points_group` = "0", `result_points_group_id` = "'.$result_points_group_id.'"';
$update_entry = "UPDATE `#__jr_tfb_result` SET $field_data WHERE result_result != 2 AND result_test = $test_id AND result_user = $current_user_id";
$db->setQuery($update_entry);
$db->query();
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');
}
}
else include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');
}
// Update group points





else include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');
}



















// Save new test beginning
else {
// Check existing test
$db->setQuery( 'SELECT * FROM `#__jr_tfb_test` WHERE id = '.$test_id );
$test_data = $db->loadObject();
// Get test points
$test_data_points = $test_data->test_points;
// Create start date and time
$today = JFactory::getDate()->toSQL();

// Get questions' groups
$db->setQuery( 'SELECT * FROM `#__jr_tfb_group` WHERE group_test = '.$test_id.' ORDER BY ordering' );
$test_groups = $db->loadObjectList();

$test_questions = '';
$test_questions_current = 1;
$test_questions_table = array();
$test_group = array();
$group_back_questions = array();
$group_first_questions = array();
$group_last_questions = array();


// Get questions 1-1|2-1,2,3|3-1,2,3           id группы - id вопроса, id вопроса |
// Create first group id
$test_group_first = 0;
foreach ($test_groups as $test_groups_item) {
// Create first group id
if ($test_group_first == 0) $test_group_first = $test_groups_item->id;
$db->setQuery( 'SELECT group_back FROM `#__jr_tfb_group` WHERE id = '.$test_groups_item->id);
$group_back = $db->loadResult();
// Create groups questions
$test_group[] = $test_groups_item->id;
// Create group questions
${'test_group_questions_'.$test_groups_item->id} = array();

// Get limit of questions
if ($test_groups_item->group_questions == 0 ) $limit = '';
else $limit = ' LIMIT '.$test_groups_item->group_questions;
// Get questions order
if ($test_groups_item->group_select == 0 ) $ordering = 'ordering';
else $ordering = 'RAND()';
$db->setQuery( 'SELECT id FROM `#__jr_tfb_question` WHERE question_group = '.$test_groups_item->id.' ORDER BY '.$ordering.$limit);
$test_questions_list = $db->loadObjectList();
// Create questions string
if ($test_questions_list) {
if ($test_questions != '') $test_questions .= '|';
$test_questions .= $test_groups_item->id.'-';
$test_question_count = 0;
$question_number = 0;
foreach ($test_questions_list as $test_question) {
// Add first group questions
if ($question_number == 0) $group_first_questions[] = $test_question->id;
// Add first question ID
if ($group_back == 0 OR ($test_data->test_back == 0 AND $question_number == 0)) $group_back_questions[] = $test_question->id;
// Add question ID to group list
${'test_group_questions_'.$test_group_data[0]}[] = $test_group_item;
// Add question to test list
$question_number++;
${'test_group_questions_'.$test_groups_item->id}[] = $test_question->id;
if ($test_question_count > 0) $test_questions .= ',';
$test_questions .= $test_question->id;
$test_question_count++;
$test_questions_table[] = $test_question->id;
}
$group_last_questions[] = $test_question->id;
}
}

$insert_entry = "INSERT INTO `#__jr_tfb_result` (result_test, result_user, result_result, result_point, result_start, result_count_question, result_questions, result_points_group_id) VALUES ($test_id, $current_user_id, 1, $test_data_points, '$today', 1, '$test_questions', '$test_group_first')";
$db->setQuery($insert_entry);
$db->query();

$test_answers_count = 0;

// Show time bar limited
if ($test_data->test_timer_show == 1 AND $test_data->test_time > 0 AND $test_data->test_timer == 0) {
$test_time = 60 * $test_data->test_time;
$test_time = $test_time - $user_test->result_timer;
$test_time_left = date("H:i:s", mktime(0, 0, $test_time));
if ($test_time > 0) echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_LEFT' ).' <span id="jr_test_timer">'.$test_time_left.'</span>
</div>';
else echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_LEFT_EXPIRED' ).'
</div>';
}

// Show time bar not limited
else if ($test_data->test_timer_show == 1 AND $test_data->test_time > 0 AND $test_data->test_timer == 1) {
$test_time = $user_test->result_timer;
$test_time_passed = date("H:i:s", mktime(0, 0, $test_time));
echo '
<div id="jr_test_time">
'.JText::_( 'JR_TFB_TIME_PASSED' ).' <span id="jr_test_timer">'.$test_time_passed.'</span>
</div>';
}


// Show current question template
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');

}

}


else echo '
<div id="result">'.JText::_( 'JR_TFB_ERROR' ).'</div>
<div id="command">ok</div>
';
?>