<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db =& JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params =& JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {

// Get data
$test_id = $_POST['jr_tfb_id'];
$current_user_id = $_POST['jr_tfb_user'];

// Check existing test
$db->setQuery( 'SELECT * FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_test = $db->loadObject();

// Show current test started
if ($user_test) {
// Get test data 
$db->setQuery( 'SELECT * FROM `#__jr_tfb_test` WHERE id = '.$_POST['jr_tfb_id'] );
$test_data = $db->loadObject();

// Get questions
$test_groups = explode('|', $user_test->result_questions);
$test_questions_table = array();
$test_group = array();
$group_back_questions = array();

foreach ($test_groups as $test_group_list) {
$test_group_data = explode('-', $test_group_list);

// Create group
// Check existing test
$db->setQuery( 'SELECT group_back FROM `#__jr_tfb_group` WHERE id = '.$test_group_data[0]);
$group_back = $db->loadResult();


$test_group[] = $test_group_data[0];
// Create group questions
${'test_group_questions_'.$test_group_data[0]} = array();


$test_group_questions = explode(',', $test_group_data[1]);
$question_number = 0;
foreach ($test_group_questions as $test_group_item) {
// Add first question ID
if ($group_back == 0 OR ($test_data->test_back == 0 AND $question_number == 0)) $group_back_questions[] = $test_group_item;
// Add question ID to group list
${'test_group_questions_'.$test_group_data[0]}[] = $test_group_item;
// Add question to test list
$test_questions_table[] = $test_group_item;
$question_number++;
}
}

// Check navigation
if (isset($_POST['jr_test_button']) AND $_POST['jr_test_button'] != 'stay') {
// If not answer
if ($_POST['jr_test_button'] == 'stay') echo '
<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_FORM' ).'
</div>';
else {
// ----- Check question's answer -----
// Get question data
$question_data = $_POST['jr_test_question'];
$test_questions_number = $question_data - 1;
$db->setQuery( 'SELECT * FROM `#__jr_tfb_question` WHERE id = '.$test_questions_table[$test_questions_number] );
$test_current_question_check = $db->loadObject();
if ($test_current_question_check->question_required == 1) {
// Checkbox
if ($test_current_question_check->question_answer == 2) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_answer` WHERE answer_question = '.$test_questions_table[$test_questions_number] );
$test_current_answer_count = $db->loadResult();
$error_answer = 0;
for ($i=1;$i<=$test_current_answer_count;$i++) {
if ($_POST['jr_tfb_answer_'.$i] > 0) $error_answer = $error_answer + 1;
}
if ($error_answer == 0) $error = 'empty';
}
// Radio
else if ($test_current_question_check->question_answer == 1) {
if ($_POST['jr_tfb_answer_1'] == '') $error = 'empty';
}
// Select
else if ($test_current_question_check->question_answer == 0) {
if ($_POST['jr_tfb_answer_1'] == '') $error = 'empty';
}
}







// Save question answer
// Get answers
$test_answers = explode(',', $user_test->result_answers);
// Create answers array
$test_answers_array = array();
$test_questions_number_check = 1;
foreach ($test_answers as $test_answers_item) {
$test_answers_array[$test_questions_number_check] = $test_answers_item;
$test_questions_number_check++;
}

// Add current answer

// Checkbox
if ($test_current_question_check->question_answer == 2) {
$db->setQuery( 'SELECT COUNT(*) FROM `#__jr_tfb_answer` WHERE answer_question = '.$test_questions_table[$test_questions_number] );
$test_current_answer_count = $db->loadResult();
$test_answers_item  = '';
for ($i=1;$i<=$test_current_answer_count;$i++) {
if ($test_answers_item != '') $test_answers_item .= '`';
if ($_POST['jr_tfb_answer_'.$i] > 0) $test_answers_item .= $i;
else  $test_answers_item .= '0';
}
}
// Radio
else if ($test_current_question_check->question_answer == 1) {
$test_answers_item = $_POST['jr_tfb_answer_1'];
}
// Select
else if ($test_current_question_check->question_answer == 0) {
$test_answers_item = $_POST['jr_tfb_answer_1'];
}

$test_answers_array[$question_data] = $test_answers_item;


// Create answersstring
$test_answers_save = '';
foreach ($test_answers_array as $test_answers_array_item) {
if ($test_answers_save != '') $test_answers_save .= ',';
$test_answers_save .= $test_answers_array_item;
}

// Save answer
$field_data = '`result_answers` = "'.$test_answers_save.'"';
$update_entry = "UPDATE `#__jr_tfb_result` SET $field_data WHERE result_result != 2 AND result_test = $test_id AND result_user = $current_user_id";
$db->setQuery($update_entry);
$db->query();

// Check conditions
if ($error == 'empty' AND $_POST['jr_test_button'] == 'next') {
echo '<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_ANSWER' ).'
</div>';
$test_questions_current = $question_data;
// Show current question template
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');
}
// Else return to this question if back navigation prohibited
else if ($error == 'prohibited') {
echo '<div id="jr_test_notification">
'.JText::_( 'JR_TFB_TEST_ERROR_BACK' ).'
</div>';
$test_questions_current = $_POST['jr_test_question'];
// Show current question template
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/question_template.php');
		}
else {
echo '<div id="jr_test_notification">
</div>';
echo '<div id="jr_test_counter">
</div>';
echo '<div id="jr_test_time">
</div>';
echo '<div id="jr_test_navigation_left">
</div>';
echo '<div id="jr_test_navigation_right">
</div>';
// Show result
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/result.php');
// Send mail to manager
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/mail_manager.php');
// Send mail to client
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/mail_client.php');
		}
	}
}


}

else echo '
<div id="result">'.JText::_( 'JR_TFB_ERROR' ).'</div>
<div id="command">ok</div>
';

}

else echo '
<div id="result">'.JText::_( 'JR_TFB_ERROR' ).'</div>
<div id="command">ok</div>
';
?>