<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();

if (file_exists(JPATH_BASE.DS.'components/com_jr_tfb/plugins/tfb_plugin_answers/test_print_ajax.php')) include(JPATH_BASE.DS.'components/com_jr_tfb/plugins/tfb_plugin_answers/test_print_ajax.php');


else {

// Connect DB
$db = JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params = JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// Get user
$current_user_rules = $_POST['jr_tfb_result_print'];

if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
// Clear old files
$path = JPATH_BASE.DS.'components/com_jr_tfb/print';
// Storage time in hours
$age_days = 1;
	if ($handle = opendir($path)) 
	{
	    while (false !== ($fil = readdir($handle))) 
		{
			if ($fil != "." && $fil != "..") 
			{
				clearstatcache();
                $fn = $path."/".$fil;
				if (is_dir($fn)) continue;
				$diff = floor((time()-filemtime($fn))/(3600));
				if ($diff>=$age_days)
				{
					@unlink($fn);
				}
			}
	    }
	    closedir($handle);
	}

// Get data
$result_id = $_POST['jr_tfb_result'];
$current_user_id = $_POST['jr_tfb_user'];
// Get test result
$db->setQuery( "SELECT * FROM `#__jr_tfb_result` WHERE id = ".$result_id );
$test_user_item = $db->loadObject();
if ($test_user_item->result_result == 2) {
$jr_tfb_test_date = JHTML::_('date', $test_user_item->result_date, 'd.m.Y').JText::_( 'JR_TFB_TEST_TIME_ON' ).JHTML::_('date', $test_user_item->result_date, 'h:i');
}
else {
$jr_tfb_test_date = JText::_( 'JR_TFB_TEST_STATLIST_NOT_COMPLETED' );
}
if ($test_user_item->result_passed == 1 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_passed";
}
else if ($test_user_item->result_passed == 0 AND $test_user_item->result_result == 2) {
$filter_line = "filter_line_failed";
}
else {
$filter_line = "filter_line";
}
$jr_tfb_test_time = $test_time_passed = date("H:i:s", mktime(0, 0, $test_user_item->result_timer));
// Get test
$db->setQuery( "SELECT * FROM `#__jr_tfb_test` WHERE id = ".$test_user_item->result_test );
$test_item = $db->loadObject();
// Get user forms
$db->setQuery( "SELECT * FROM `#__jr_tfb_form`" );
$test_forms = $db->loadObjectList();
// Get user data
$db->setQuery( "SELECT * FROM `#__jr_tfb_user` WHERE user_user = ".$test_user_item->result_user );
$test_user = $db->loadObject();
$test_user_data = '';
foreach ($test_forms as $test_form) {
$user_field_id = 'user_'.$test_form->id;
if (isset($test_user->$user_field_id) AND $test_user->$user_field_id != '') {
if ($test_form->form_type == 3) {
$test_user_field = '';
$test_user_options = explode ("|", $test_user->$user_field_id);
$test_form_options = explode ("%|%", $test_form->form_options);
$test_form_option = 0;
foreach ($test_user_options as $test_user_option) {
if ($test_user_option == 1) {
$test_user_option = $test_form_options[$test_form_option];
$test_user_field .= '<div class="filter_test_data">'.$test_user_option.'</div>';
}
$test_form_option++;
}
}
else $test_user_field = $test_user->$user_field_id;
$test_user_data .= '
<div class="jr_print_testline">
<span class="jr_print_testlabel">'.$test_form->form_title.': </span>
<span class="jr_print_testdata">'.$test_user_field.'</span>
</div>';
	}
}
$test_user_resume = '';
if ($test_user_item->result_answers == "") $test_user_answers = '<span class="jr_form_error filter_test_show">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</span>';
// Get groups
$db->setQuery( "SELECT * FROM `#__jr_tfb_group` WHERE group_test = ".$test_user_item->result_test );
$test_groups = $db->loadObjectList();
$test_group = array();
$test_group_list = '';
foreach ($test_groups as $test_groups_item) {
$test_group[$test_groups_item->id] = $test_groups_item->group_title;
if ($test_group_list != '') $test_group_list .= ',';
$test_group_list .= $test_groups_item->id;
}
// Get questions and answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_question` WHERE question_group IN ($test_group_list)" );
$test_questions = $db->loadObjectList();
foreach ($test_questions as $test_questions_item) {
$test_question[$test_questions_item->id] = $test_questions_item->question_title;
$test_advice[$test_questions_item->id] = $test_questions_item->question_advice;
$test_correct[$test_questions_item->id] = $test_questions_item->question_correct;
// Get answers
$db->setQuery( "SELECT * FROM `#__jr_tfb_answer` WHERE answer_question = ".$test_questions_item->id." ORDER BY ordering" );
$test_answers = $db->loadObjectList();
${'test_answer_text_'.$test_questions_item->id} = array();
${'test_answer_result_'.$test_questions_item->id} = array();
${'test_answer_correct_'.$test_questions_item->id} = 0;
foreach ($test_answers as $test_answer) {
${'test_answer_text_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_title;
${'test_answer_result_'.$test_questions_item->id}[$test_answer->ordering] = $test_answer->answer_correct;
if ($test_answer->answer_correct == 1) ${'test_answer_correct_'.$test_questions_item->id}++;
}
}
// Get result questions
$test_result_questions = explode('|', $test_user_item->result_questions);
$result_test_questions = array();
$result_test_groups = array();
// Get result answers
$test_result_answers_array = explode(',', $test_user_item->result_answers);
$test_result_answers_count = 0;
// Create result list
foreach ($test_result_questions as $test_result_questions_item) {
$test_questions_item_data = explode('-', $test_result_questions_item);
$test_questions_item_group = $test_questions_item_data[0];
$test_questions_item_questions = explode(',', $test_questions_item_data[1]);
foreach ($test_questions_item_questions as $test_questions_item_question) {
$test_user_answers .= '

<div class="jr_print_testline">
<table width="100%"><tr>
<td class="jr_print_testlabel">'.$test_question[$test_questions_item_question].'</td>


<td class="jr_print_testdata">';
$test_result_answers = explode("`", $test_result_answers_array[$test_result_answers_count]);
if (isset($test_result_answers_array[$test_result_answers_count]) AND $test_result_answers_array[$test_result_answers_count] != '' AND $test_result_answers_array[$test_result_answers_count] !== 0) {
$test_user_resume_negative = 0;
$test_user_resume_positive = 0;

$test_result_answers_check_options = 0;
foreach ($test_result_answers as $test_result_answer) {
if ($test_result_answer != 0) $test_result_answers_check_options++;
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0 AND (($current_user_rules == 'client' AND $test_item->test_client_mark == 2) OR ($current_user_rules == 'manager' AND $test_item->test_admin_mark == 2))) $test_result_class = " jr_form_error";
else if (($current_user_rules == 'client' AND $test_item->test_client_mark == 2) OR ($current_user_rules == 'manager' AND $test_item->test_admin_mark == 2)) $test_result_class = " jr_form_right";
else $test_result_class = " jr_form_hidden";
if ($test_result_answer != 0) $test_user_answers .= '
<div class="filter_test_data '.$test_result_class.'">'.${'test_answer_text_'.$test_questions_item_question}[$test_result_answer].'</div>';
// Create resume
if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 0  AND $test_result_answer > 0) $test_user_resume_negative++;
else if (${'test_answer_result_'.$test_questions_item_question}[$test_result_answer] == 1 AND $test_result_answer > 0) $test_user_resume_positive++;
}
if ($test_result_answers_check_options == 0) $test_user_answers .= '
<div class="filter_test_data jr_form_error">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</div>';

// Get resume
$test_user_resume_result = 0;
if ($test_correct[$test_questions_item_question] == 0 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question}) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 1 AND $test_user_resume_positive == ${'test_answer_correct_'.$test_questions_item_question} AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 2 AND ($test_user_resume_positive >= 1)) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 3 AND $test_user_resume_positive >= 1 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
else if ($test_correct[$test_questions_item_question] == 4 AND $test_user_resume_negative == 0) $test_user_resume_result = 1;
if ($test_user_resume_result == 0 AND $test_advice[$test_questions_item_question] != '') $test_user_resume .= '
<div class="jr_form_error">'.$test_advice[$test_questions_item_question].'</div>';
}
else $test_user_answers .= '
<div class="filter_test_data jr_form_error">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_ANSWERS' ).'</div>';

$test_user_answers .= '</td>
</tr>
</table>
</div>';
$test_result_answers_count++;
	}
}
//if ($test_user_resume == "") $test_user_resume = '<span class="jr_form_right">'.JText::_( 'JR_TFB_TEST_STATLIST_NO_RESUME' ).'</span>';

include(JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'ajax'.DS.'test_print_css.php');
include(JPATH_BASE.DS.'components'.DS.'com_jr_tfb'.DS.'ajax'.DS.'test_print_template.php');

echo 'test-result-'.$result_id;
}


}
?>