<?php
/**
 * @package    Jr_tfb
 * @subpackage com_jr_tfb
 * @version		1.0
 * @license		GNU/GPL
 * @author		Dimon
 * @author mail	joomlaru.org@yandex.ru
 * @website		http://jrextensions.ru
 *
 */
header("Content-type: text/html; charset=utf-8");
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../../../' ));
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
//require_once(JPATH_BASE.DS.'libraries'.DS.'joomla'.DS.'factory.php');
$app = JFactory::getApplication('site');
$app->initialise();
// Connect DB
$db =& JFactory::getDBO();
// Get params
jimport( 'joomla.application.component.helper' );
jimport('joomla.html.parameter');
$params =& JComponentHelper::getParams('com_jr_tfb');
// Connect language
$lang = JFactory::getLanguage();
$extension = 'com_jr_tfb';
$base_dir = JPATH_SITE;
if ($_POST['language'] != '') $language_tag = $_POST['language'];
else $language_tag = 'ru-RU';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {

// Get data
$test_id = $_POST['jr_tfb_id'];
$current_user_id = $_POST['jr_tfb_user'];

// Check existing test
$db->setQuery( 'SELECT `result_timer` FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_test_timer = $db->loadResult();
$test_data_time_update = $user_test_timer + 1;

// Get test data 
$db->setQuery( 'SELECT `test_time`, `test_timer` FROM `#__jr_tfb_test` WHERE id = '.$_POST['jr_tfb_id'] );
$test_data_time = $db->loadObject();

// Save current timer
$field_data = '`result_timer` = "'.$test_data_time_update.'"';
$update_entry = "UPDATE `#__jr_tfb_result` SET $field_data WHERE result_result != 2 AND result_test = $test_id AND result_user = $current_user_id";
$db->setQuery($update_entry);
$db->query();








// TEST TIME LIMITED
if ($test_data_time->test_timer == 0) {

// Get test time allowed
$test_time = 60 * $test_data_time->test_time;
$test_time = $test_time - $user_test_timer;
$test_time_left = date("H:i:s", mktime(0, 0, $test_time));

if ($test_time > 0 OR $test_data_time->test_time == 0) {
// allowed
echo '
<div id="command">ok</div>
';
echo '
<div id="data">'.$test_time_left.'</div>
';
}
else {
// left
echo '
<div id="command">left</div>
';
echo '
<div id="data"><span class="time_left">'.JText::_( 'JR_TFB_TIME_LEFT_EXPIRED' ).'</span></div>
';

echo '
<div id="jr_test_counter"></div>
<div id="jr_test_navigation_left"></div>
<div id="jr_test_navigation_right"></div>
';

// Get test data 
$db->setQuery( 'SELECT * FROM `#__jr_tfb_test` WHERE id = '.$_POST['jr_tfb_id'] );
$test_data = $db->loadObject();

// Check existing test
$db->setQuery( 'SELECT * FROM `#__jr_tfb_result` WHERE result_result != 2 AND result_test = '.$test_id.' AND result_user = '.$current_user_id);
$user_test = $db->loadObject();

// Get questions
$test_groups = explode('|', $user_test->result_questions);
$test_questions_table = array();
$test_group = array();
$group_back_questions = array();

foreach ($test_groups as $test_group_list) {
$test_group_data = explode('-', $test_group_list);

// Create group
// Check existing test
$db->setQuery( 'SELECT group_back FROM `#__jr_tfb_group` WHERE id = '.$test_group_data[0]);
$group_back = $db->loadResult();


$test_group[] = $test_group_data[0];
// Create group questions
${'test_group_questions_'.$test_group_data[0]} = array();


$test_group_questions = explode(',', $test_group_data[1]);
$question_number = 0;
foreach ($test_group_questions as $test_group_item) {
// Add first question ID
if ($group_back == 0 OR ($test_data->test_back == 0 AND $question_number == 0)) $group_back_questions[] = $test_group_item;
// Add question ID to group list
${'test_group_questions_'.$test_group_data[0]}[] = $test_group_item;
// Add question to test list
$test_questions_table[] = $test_group_item;
$question_number++;
}
}


$test_answers_save = $user_test->result_answers;
// Show result
include(JPATH_BASE.DS.'components/com_jr_tfb/includes/result.php');
}
		}
		
		
		
		

// TEST TIME IS NOT LIMITED
else if ($test_data_time->test_timer == 1) {
// Get test time passed
$test_time = $user_test_timer;
$test_time_passed = date("H:i:s", mktime(0, 0, $test_time));
echo '
<div id="command">ok</div>
<div id="data">'.$test_time_passed.'</div>
';

		}






}

else echo '
<div id="command">error</div>
';
?>